ORS Online Help

Previous Next

ORS Online Help
ORS Online Help
Whether you use our products on your laptop or one of our many purpose-built appliances, you will find plenty in this online help system for you.
Welcome to the Network Instruments Online Help. Thank you for choosing Network Instruments’ products to monitor your network. With our tools you can more easily and efficiently monitor and manage your network and network applications.

Choosing your deployment strategy

How to install Observer Reporting Server

Configuring your program settings

How to add data sources

How to configure the web server

How to integrate with GigaStor

Network trending and its effect on ORS data

How to create a report

Technical specifications

Browse our FAQs or contact Support.


Installing and Configuring ORS

Installing and Configuring ORS
Installing and Configuring ORS
How to install Observer Reporting Server
Observer Reporting Server comes pre-installed on a rack mountable appliance. If for some reason you must reinstall the software, you may.
Prerequisite(s):
Ensure you have the latest version of Observer Reporting Server before continuing. Download the latest version from our FTP site:ftp://ftp.networkinstruments.com/pub/demos/
Prerequisite(s):
You are using one of these operating systems:

Windows XP (32-bit SP3, 64-bit SP2)

Windows Vista (32-bit SP1 or higher, 64-bit SP1 or higher)

Windows 7 (32-bit SP1 or higher, 64-bit SP1 or higher)

Windows Server 2003 Enterprise, Standard, Web (32-bit SP3 or higher, 64-bit SP3 or higher)

Windows Server 2008 Enterprise, Standard, Web (32-bit SP2 or higher, 64-bit SP2 or higher)

Windows Server 2008 R2 Enterprise, Standard, Web (SP1 or higher)

To install Observer Reporting Server:
*
Follow the standard, wizard installation to install/reinstall ORS.
*
Simply run the executable and follow the prompts.
*
We recommend backing up your existing installation if applicable.
After completing this task:
You may be prompted to license the application during its first launch. This can happen when performing a clean installation, such as after a hard drive reformat. Provide your credentials if prompted.
While unlikely, if you are missing data sources after reinstalling the application, you must re-add them. For more details, see How to add data sources .


Configuring your program settings

Installing and Configuring ORS > Configuring your program settings
Configuring your program settings
Program settings affect your interaction with Observer Reporting Server. With important settings for threshold values, log folders, service mode, Super Groups, and the web server, we highly recommend configuring them.
Observer Reporting Server has two overall areas where you can configure how it behaves. One controls how the ORS application is configured, and the other controls how the web page handles updates from the ORS application.


How to configure general settings

Installing and Configuring ORS > Configuring your program settings > How to configure general settings
How to configure general settings
General program settings can greatly affect Observer Reporting Server. Become familiar with their location and uses.
1.
Choose Options > Program Settings. The Observer Reporting Server Settings window appears.
2.
Use the table for details about the General Settings tab.
3.
(Optional) Use the Log Window Settings tab to control what messages appear in the log window.
Option
Description
Folders
Choose where you want ORS to save its trending and activity log files.
Service Settings
Choose to run ORS as a Windows service. The benefit is that when the system is restarted ORS will automatically start without a user needing to log in to start ORS. No functionality is lost when running ORS as a service.
Web Browser Client Settings
Choose how the entry and display of report times is calculated. Your option is to use web browser system time or ORS system time.
Options
Ask for confirmation when exiting: Leave enabled if you want ORS to request confirmation when closing the program. Disable it if you want to close the program without confirming.
Disable GigaStor drill down reporting : Select this option if you want to prevent reports from being able to descend into a GigaStor report.
Disable IP address DNS resolution: Enable this setting to prevent resolving IP addresses to their DNS names.
Disable logging of report viewing event: Enable this setting to prevent logging the times and users that view log reports.
Disable NetLive monitoring: By default, ORS contacts each probe or Observer analyzer every 20 seconds for NetLive data. This may create too much network traffic for you.
Each Observer must be configured to collect NetLive data. Instead of disabling NetLive monitoring in each Observer, you can choose to disable ORS from requesting the NetLive data in one place. It could be beneficial to enable the collection in Observer and then disable it in ORS. Therefore, should you wish to re-enable NetLive data collection, simply clear this option.
Enable Super Groups for enterprise Business Group scalability: Enable this setting to unlock Super Groups functionality.
Show manufacturers’ names: Displays the manufacturer’s name of the device when it can be determined.
Use gradient graph rendering: Enabled by default. Disabling this option may slightly reduce the size of report files.
Configure Default Thresholds
Use to change the marginal and critical thresholds used for VoIP, delay, and baselining. These thresholds are used when displaying colors in reports.
Select Web Browser Color Theme
Choose the color theme of the web interface. The selected theme is seen by all users of all business groups and from any machine. You may need to clear your web browser cache for changes to appear.
E-mail Notification Settings
Configure your email notification settings.


How to configure default thresholds

Installing and Configuring ORS > Configuring your program settings > How to configure default thresholds
How to configure default thresholds
In Observer Reporting Server, the default thresholds are pre-configured, so additional setup is rarely needed. If necessary, you can change them to better reflect your network conditions.
To change the default thresholds:
1.
Choose Options > Program Settings. The Observer Reporting Server Settings window appears.
2.
Click the Configure Default Thresholds button. The Threshold Configuration window appears.
3.
Expand a category and select a specific report element, then click Edit Threshold.
4.
Change the default thresholds for the selected report element.
5.
(Optional) If you want the new threshold to be default for all business groups, click Apply To All Business Groups.
Understanding thresholds
Thresholds are defined values that determine if a statistic is above, below, or within a nominal range on your network.
To calculate this, the difference between your current and past trending data is compared against the threshold value.
Thresholds are used when displaying colors in reports. Anything below the marginal threshold is green, anything between the marginal and critical threshold is yellow and anything above the critical threshold is red.


How to send SNMP traps

Installing and Configuring ORS > Configuring your program settings > How to send SNMP traps
How to send SNMP traps
Before sending SNMP traps, you must define some destination servers—also known as trap recipients.
Add new SNMP trap recipients by completing the following steps:
1.
Choose Options > Program Settings. The Observer Reporting Server Settings window appears.
2.
Click the SNMP Trap Recipients tab.
3.
Click New and specify the details.
4.
Click OK to save the trap recipient.


How to enable super groups

Installing and Configuring ORS > Configuring your program settings > How to enable super groups
How to enable super groups
Multiple business groups can be combined using super groups. Super groups allow for increased flexibility and scalability. For example, you might create a super group for each branch office, and populate each super group with the business groups they need access to.
Note: Super groups are not required for Observer Reporting Server to function at peak performance; they are optional. They do, however, allow you to better organize and control your business groups.
To begin using super groups, you must enable the option in Observer Reporting Server by completing the following steps:
1.
Choose Options > Program Settings.
2.
Ensure the General Settings tab is selected, and select Enable Super Groups for Business Group scalability.
Super group user permissions now appear in the Security tab, and new tabs appear in the application:
*
Organization Grouping > Super Groups —this tab allows you to create, edit, and organize super groups.
*
Reports > Super Group Reports —this tab allows you to create reports specifically for super groups. Creating a super group report is no different than creating business group reports.
After completing this task:
After enabling super groups, create a super group by completing the following steps:


How to configure the web server

Installing and Configuring ORS > Configuring your program settings > How to configure the web server
How to configure the web server
Observer Reporting Server has its own web server that it shares with Observer if Observer is installed on the same system as ORS.
The web server starts automatically when the system starts, regardless of how you have ORS configured.
Note: Some web server settings can be changed by choosing Options > Program Settings > Web Server tab.
The Web server will either be installed and run as C:\Windows\system32\niwsd.exe or as C:\Windows\system32\niwsd64.exe depending on whether your operating system is 32-bit or 64-bit.
By default the web server uses port 80. To change the port it uses, follow these steps:
Tip! If the web server stops unexpectedly, the only way to restart it without restarting the entire system is to close ORS if it is running and restart ORS. When ORS restarts, the web server also starts in the background.
1.
Locate the Network Instruments web server icon near the system clock.
2.
Right-click and choose Web Server Settings.
3.
Change the port number, and click OK. The new port number is immediately used.
4.
Open a web browser and enter the following URL: http://ORShost:port/ORS where ORShost is the host name or IP address of the system running ORS and port is the port number.


How to configure the e-mail server

Installing and Configuring ORS > Configuring your program settings > How to configure the e-mail server
How to configure the e-mail server
If you want ORS to send reports automatically, you must configure ORS so that it knows where the e-mail server is and, if necessary, any login rights.
1.
Choose Options > Program Settings. The Observer Reporting Server Settings window appears.
2.
Click the E-mail Notification Settings button. The E-mail Settings window appears.
3.
In the Server area, type the host name or IP address of your SMTP server.
4.
Specify the SMTP port and security option by using the provided list. The list also allows you to specify a custom port and encryption if the presets are not applicable.
5.
In the Sender area, define how you want ORS to send its reports through your e-mail server. You may need to consult with your e-mail server administrator if a specific user name and password is required.
6.
Click the E-mail Test button to confirm the settings are valid. This sends an e-mail to the sender, not the recipient.


How to configure report redraws

Installing and Configuring ORS > Configuring your program settings > How to configure report redraws
How to configure report redraws
A report can be redrawn (i.e. visibly refresh) in your web browser based on several condition changes.
Configure which user actions cause a redraw by following these steps:
1.
Open a web browser and enter the following URL: http://ORShost/ORS where ORShost is the host name or IP address of the system running ORS.
2.
Log in using your user name and password. The default user account is Administrator. There is no pre-defined password for the account.
3.
On the Business Group Reports tab, click Settings. The Report Settings dialog appears.
4.
Choose under which circumstances you want reports redrawn automatically.
*
Period Selection Change
*
Previous / Next Period
*
Zoom In/Out
5.
Click Save, either for the current user or all users. Saving for all users changes the settings for all users. If you do not see this option, you do not have permission.


How to integrate with GigaStor

Installing and Configuring ORS > How to integrate with GigaStor
How to integrate with GigaStor
You must have a GigaStor configured with one or more GigaStor instances that are accessible to the report-generating system. The report generating system must have a copy of Observer with a probe instance attached to a GigaStor.
1.
From the web interface, on the Business Group Reports tab, click Settings. The Report Settings dialog appears.
2.
Click the Configure GigaStor Integration button to display the list of probe instances connected to the locally installed Observer analyzer.
3.
Choose the Observer connection you wish to associate with a GigaStor instance by clicking its corresponding Configure button in the right-most column of the list. A list of available probe instances is displayed:
4.
Choose the desired GigaStor instance from the list by clicking the appropriate Select button.
5.
The Observer Reporting Server instance list is again displayed, updated to show the newly linked GigaStor instance.
After completing this task:
After you configure GigaStor instances for sub-reports, report tables derived from GigaStor data display a GigaStor sub-report icon. Click the GigaStor sub-report icon [image] to launch a local GigaStor Control Panel, which presents GigaStor analysis options (such as filtering, forensics, etc.) before displaying the selected packets in standard decode display.


Choosing your deployment strategy

Installing and Configuring ORS > How to integrate with GigaStor > Choosing your deployment strategy
Choosing your deployment strategy
To use ORS effectively, you must understand how you have Observer and its probes deployed in your network.
Where you install Observer Reporting Server (ORS), Observer Suite, and probes will depend on the size and traffic levels of your network. In general,high-traffic installations should have a dedicated ORS system, resulting in a three-tier distribution of ORS functionality:
*
Observer Reporting Server
*
Observer Suite analyzer(s)
*
Probe instances that actually collect the data
We highly recommend that any probe, Observer Suite, or Observer Infrastructure be installed on a system with a static IP address. Having a dynamic address may cause confusion with reports should the address for a system change. It becomes very difficult to correlate problems or history when addresses change.
Tip! Create a unique probe instance on every probe that will be used for the sole purpose of collecting network trending data for ORS and call it “ORS instance.”
For larger networks or heavier traffic
For larger networks, or networks with heavy traffic, Observer Reporting Server can be installed on a different system than the Observer analyzer used to collect network trending statistics. This forms a three-tier collection and reporting hierarchy with probes passing information to Observer and Observer passing information to ORS.
Figure 1. ORS with Observer Suite on a different system
For smaller networks or lighter traffic
For smaller networks, or networks with light traffic, the ORS appliance has ORS and Observer Suite pre-loaded to form a two-tier collection/reporting hierarchy.
Figure 2. ORS and Observer Suite on the same system


Configuring a failover or redundant Observer Reporting Server

Installing and Configuring ORS > Configuring a failover or redundant Observer Reporting Server
Configuring a failover or redundant Observer Reporting Server
If you need a high degree of availability for Observer Reporting Server, then enable the Observer Reporting Server redundancy feature. Redundancy, also known as failover, helps maintain a high “up” time for your Observer Reporting Server system and its reports.
If your primary Observer Reporting Server system becomes unavailable for any reason, then the secondary Observer Reporting Server system automatically becomes active and available for reports. By having a failover Observer Reporting Server system, you can help ensure that maximum availability is maintained for your data.
The redundant Observer Reporting Server feature relies on features within the Windows Server 2008 R2 operating system called Network Load Balancing (NLB). Although load balancing can be used for scalability in other systems, Observer Reporting Server uses the feature exclusively for failover services.
The systems in a Network Load Balancing cluster send “heartbeat” packets between each other to confirm that each system is available. Systems in a cluster are constantly exchanging heartbeat packets. A system is marked as failed if it has not responded to a heartbeat packet within five seconds. If the cluster detects that the primary Observer Reporting Server system is not responding, the secondary Observer Reporting Server system is immediately brought online, usually with users being unaware that there was a problem.
Figure 3. Example of failover operation
To learn more about the clustering and failover features in Windows Server 2008 R2, see www.networkinstruments.com/failover. Also on the page is a white paper that contains many details and is recommended reading.
Enabling and configuring Observer Reporting Server redundancy requires making changes to the Windows operating system and Observer Reporting Server program itself. The changes must be made on both the primary Observer Reporting Server system and the failover system. The operating system changes must be made, which may require system restarts, before configuring the Observer Reporting Server program.


How to configure the failover cluster in Windows

Installing and Configuring ORS > Configuring a failover or redundant Observer Reporting Server > How to configure the failover cluster in Windows
How to configure the failover cluster in Windows
Observer Reporting Server uses the failover feature from Network Load Balancing (NLB) in Windows to manage when failover should occur. NLB is not installed as part of Windows by default. This is part one of a two part procedure.
Prerequisite(s):
*
Windows Server 2008 R2 installed.
*
The computer system must have two network adapters. Each must be configured to use different subnets. One adapter is for Observer Reporting Server communication and the second is for responding to HTTP requests and for maintaining the failover configuration.
1.
On the primary Observer Reporting Server system, open the Server Manager by choosing Start > Administrative Tools > Server Manager.
2.
In Server Manager, click Action > Add Features.
3.
In the Add Features Wizard, select Network Load Balancing (NLB) and then click Next to complete the wizard. It may be necessary to restart the system for the Network Load Balancing feature to be fully enabled.
4.
Complete step 1 through step 3 on the failover Observer Reporting Server system.
5.
On the primary Observer Reporting Server system, open the Network Load Balancing Manager by choosing Start > Administrative Tools > Network Load Balancing Manager.
6.
Choose Cluster > New. Type the IP address of the primary Observer Reporting Server system and click Connect. The available network interface names and IP addresses appear.
7.
Select the interface to be used for NLB. It will respond to Observer Reporting Server HTTP requests. Click Next.
8.
In the Host Parameters window:
*
Keep Priority at 1. This sets the primary system in the failover cluster. For the failover system, set Priority to 2.
*
In the Dedicated IP addresses section, remove any addresses if they exist. This ensures that only one IP address is configured for the network adapter.
*
In the Default State field, set the state to Stopped. Observer Reporting Server handles when to start and stop the NLB service.
9.
In the Cluster Parameters window, you may change the Full Internet Name if you wish, but it is not necessary. If you do change the name, you must also change it on the failover system. The names must match. This allows both Observer Reporting Server systems in the cluster to respond to a domain name (rather than just an IP address) in your web browser when viewing reports. In the Cluster Operation Mode, leave it as “Unicast.” Click Next.
10.
In the Port Rules window, if there are any rules, select each and remove it. Observer Reporting Server does not use this feature , and therefore any rules must be removed. Click Finish.
11.
In the Cluster list, select the cluster IP address (192.168.5.100 in above figure). Right-click and choose Add Host to Cluster.
12.
Type the IP address of the failover Observer Reporting Server system and click Connect.
13.
Repeat step 7 to step 10. It may take a moment before the failover system appears in the NLB cluster.
Now the Windows portion is complete; it is time to begin configuring Observer Reporting Server.


How to configure Observer Reporting Server Redundancy

Installing and Configuring ORS > Configuring a failover or redundant Observer Reporting Server > How to configure Observer Reporting Server Redundancy
How to configure Observer Reporting Server Redundancy
You can enable Observer Reporting Server Redundancy so that should your primary Observer Reporting Server lose power or connectivity, the failover Observer Reporting Server becomes active. This is part two of a two part procedure.
Prerequisite(s):
*
Network Load Balancing configured. See How to configure the failover cluster in Windows.
*
All Observer Reporting Server configurations complete, except ORS Redundancy. Most Observer Reporting Server settings from the primary system automatically transfer to the failover system after the redundancy feature is completed.
1.
On the primary Observer Reporting Server system, choose Options > Program Settings > General tab and select “Enable ORS redundancy.” Click OK. This adds the ORS Redundancy tab to the user interface. The Enable ORS redundancy option is only available if NLB has been installed and configured.
2.
On the ORS Redundancy tab, click the Make this the Primary ORS button. This sets this Observer Reporting Server system to be the primary Observer Reporting Server.
3.
Click the Edit button and provide the following:
*
The IP address of the management interface on the other Observer Reporting Server system, not the NLB interface
*
How many days should be synchronized (0-365)
*
The local Windows user name, which must have administrative privileges, and password under which NLB is running
4.
On the failover Observer Reporting Server system, complete step 1 and step 3. Do not complete step 2.
The Observer Reporting Server redundancy feature is now configured. It may take several minutes (10 or 60 based on your settings) before the failover Observer Reporting Server is synchronized.
To ensure that your failover process is working, you should test it from time to time to verify it functions as expected. For production servers, you would want to test at a slow time, such as on a weekend, late at night, or holiday. To minimize any risk to the system itself, shut down any programs or processes that are not essential to the failover test.
Understanding NLB failover and Observer Reporting Server redundancy fields
The table provides greater detail about each of the fields on the Observer Reporting Server Redundancy tab. It also answers common questions such as what is synchronized and what happens when the primary Observer Reporting Server goes offline.
Table 1. Observer Reporting Server redundancy fields
NLB heartbeat
The NLB heartbeat between all systems in the cluster is constant, but failure is determined when there is no response received within five seconds. This is part NLB, not Observer Reporting Server.
Observer Reporting Server heartbeat
The primary Observer Reporting Server sends a health request periodically to confirm the failover Observer Reporting Server is available. If the failover Observer Reporting Server does not respond, the primary Observer Reporting Server logs the event and disables failover services until the problem is resolved. If the failover Observer Reporting Server detects that the primary Observer Reporting Server has failed, then it initiates an NLB failover and the failover Observer Reporting Server becomes active.
Observer Reporting Server synchronization
The Observer Reporting Server settings is synchronized every 10 minutes. This is configurable to 60 minutes by changing the value on the Schedules > Data Transfer tab. The Observer Reporting Server trending data is checked at the same rate but only data from yesterday and prior is synchronized. This is because files from today are actively being updated, whereas yesterday’s files are not. Should the primary Observer Reporting Server failover before today’s data has been synchronized with the failover Observer Reporting Server, the failover Observer Reporting Server will request the data from the data sources directly. Today and yesterday are relative terms based on UTC, not your local time.
Synchronize Now
A manual way to initiate a transfer of the latest Observer Reporting Server settings from the primary Observer Reporting Server to the failover Observer Reporting Server. The Observer Reporting Server trending data that is synchronized is from yesterday (based on midnight UTC) and prior. It does not get trending data from today.
Get Data Range
Enabled only on the failover Observer Reporting Server. Allows you to choose a date range from which to transfer data. It does not transfer Observer Reporting Server settings.
Make this the primary Observer Reporting Server
Enabled only on the failover Observer Reporting Server. Makes the failover Observer Reporting Server become the primary Observer Reporting Server after a negotiation, when possible. This option can be used to switch roles so that the primary Observer Reporting Server can be taken down for maintenance.
Edit
Allows you to set IP address of the management interface on the other Observer Reporting Server system, not the NLB interface; how many days of data should be synchronized (0-365 days); and the Windows user name and password under which NLB is running. The user account must have administrative privileges and is required if Observer Reporting Server is running as a Windows service.
What is synchronized
All data and settings, except:
*
Whether you want Observer Reporting Server to run as a Windows service.
*
The Observer Reporting Server name and security settings (from Options > Program Settings ). If you use security settings, you must manually duplicate the encryption key or NIMS options on the failover Observer Reporting Server. The security settings of the failover Observer Reporting Server will be used should it become active. If the failover Observer Reporting Server’ security settings do not match those of the primary, Observer Reporting Server will not be able to get any data from its data sources or provide reports.
*
Licensing. You must have a separate license for each Observer Reporting Server system.
What happens when the primary Observer Reporting Server comes back online
When the failover Observer Reporting Server determines that the primary Observer Reporting Server is unavailable, it becomes the primary Observer Reporting Server. The system that used to be the primary Observer Reporting Server becomes the failover Observer Reporting Server and it stays the failover Observer Reporting Server even after it comes back online. Even though the failover Observer Reporting Server has become the primary Observer Reporting Server, minimal changes should be made to its configuration.
Shut down order
To prevent the failover Observer Reporting Server from becoming the primary Observer Reporting Server, shut down the systems in the following order: failover system first, then the primary system. Start them in the reverse order (primary first, then failover). This prevents NLB from switching their priority settings. Whenever the systems are shut down and restarted, you should verify that each has its correct role (primary/secondary), and that they are connected and synchronizing.
Logging
Observer Reporting Server logs all redundancy actions in the Observer Reporting Server event log. When performing certain manual actions, check the Observer Reporting Server log to confirm they have completed.


Data Sources

Data Sources
Data Sources
How to add data sources
Adding a new data source tells ORS about a new Observer, probe instance, or Observer Infrastructure from which you want to get data.
1.
Select the Data Sources tab, and click New.
2.
In the Trending Source Settings window, select the connection type.
3.
Type the IP address or host name of the data source.
4.
Type a user name and password, and click OK. The default user account is Administrator. There is no pre-defined password for the account.
The data source is added to Observer Reporting Server. You are now able to use its data to populate pre-loaded or custom ORS reports.
After completing this task:
You must assign at least one data source to a business group to complete your configuration. For details, see How to assign data sources.


How to assign data sources

Data Sources > How to assign data sources
How to assign data sources
Data sources relay information to your business groups. By assigning one or more data sources to a business group, it can populate reports.
Prerequisite(s):
These instructions are for assigning a data source to an existing business group. If you want—or need—to create a new business group before continuing, see How to create business groups first.
Tip! There is no harm having the same probe instance included in different business groups. The data is transferred only once from the data source to ORS, and thus the processing is just as efficient.
Observer Reporting Server has several default business groups to which you can assign your data sources. To assign a data source to a business group, follow the instructions provided.
A business group is a collection of data sources from one or more networks to create a data set against which to run the reports.
You may also edit the existing business groups or create your own. You may want to create your own if you want to organize your data by department, location, or for some other reason.
1.
Choose Organization Group > Business Groups tab.
2.
Select a business group, and click Edit Group. The Edit Business Group window appears.
Observer Reporting Server periodically queries all of its data sources for updated data. When it queries, it also gathers information about all probe instances for each Observer. The list of probe instances appears here in the business group window.
3.
From the Available Data Sources list, select the probe instances you want to assign to this business group.
This is how you create groups that span either physical locations, such as servers located in different sites, or logical locations like departments.
4.
Click the >> button to add the probe instances to the Selected Data Sources.
5.
Click OK to save your changes to the business group.
6.
Click the Data Sources tab.
7.
Select the listed data source from which you want to gather the network trending, and click Get Data Now.
Observer Reporting Server contacts Observer and Observer Infrastructure to request its trending data. This process may take a few minutes depending on how much trending data must be retrieved.


How to repair orphaned data sources

Data Sources > How to repair orphaned data sources
How to repair orphaned data sources
Orphaned data sources are data sources still known to Observer Reporting Server, but whose IP address has changed. This can be a problem for your reports.
We highly recommend that any probe, Observer Suite, or Observer Infrastructure be installed on a system with a static IP address. Having a dynamic address may cause confusion with reports should the address for a system change. It becomes very difficult to correlate problems or history when addresses change.
If you cannot use static IP addresses, then when a data source’s IP address changes, the old data becomes orphaned and no further data is collected. The network trending reports will still show the data from a historical perspective, but no new data for that data source is collected. NetLive reports will cease to be useful. You can, however, manually move the orphaned data forward to a new data source.
You must create a new data source with the new IP address to resume collection. Complete the following steps:
1.
Identify the orphaned data source. Make a note of its IP address.
2.
Create a new data source.
ORS stores its data in the following location C:\Program Files\ ObserverReportingServer\Data\Probe<IPaddress>\Instance.
3.
Find the directory of the orphaned data source. Copy everything in theProbe<IPAddress> directory, including all subdirectories, to the new data source’s Probe<IPAddress> directory.
Any reports for the new data source now contain all the history collected under the old IP address.


Understanding data sources

Data Sources > Understanding data sources
Understanding data sources
A data source is a probe instance that supports “Network Trending” in Observer to gather statistical information for the reports. It can also be from an Observer Infrastructure installation.
Adding a new data source tells ORS about a new Observer, probe instance, or Observer Infrastructure from which you want to get data. One Observer analyzer is usually an aggregation point that gets data from several probes.
Observer Reporting Server needs only to connect to that Observer to see the data from all of the probes that send network trending data to the Observeranalyzer.
Table 2. Data Sources tab options
Setting
Description
New
Adds a new data source. Provide the host name or IP address of the Observer or Observer Infrastructure you want ORS to connect to gather its network trending, NetLive, and Observer Infrastructure data.
Edit
Allows you to change the user name and password that ORS uses to connect to the data source. You cannot change the IP address. If the IP address of your data source has changed, you must create a new data source.
Delete
Deletes the selected data source.
Refresh
Verifies the connection between ORS and the data source.
Get Data Now
Retrieves the most current trending data available. Oftentimes this might be used just after clicking Reset Last Transferred Time on the Schedules > Data Transfer tab.
Get Data Range
Gets the network trending, NetLive, and Observer Infrastructure data for the time specified.
Open Current Log File
Opens the ORS log file that contains information about when trending data was retrieved. You may be asked by Network InstrumentsSupport for this file.
Business Group Status column
Lists the current status of ORS. Possible values are:
Waiting: ORS is waiting to connect to Observer.
Connected: ORS is connected to Observer. Observer is transferring data.
Disconnected: ORS is no longer connected to ORS. This does not indicate that there is a problem.
Success: ORS connected to ORS and successfully received the data sent.
Failure: ORS cannot connect to Observer because Observer is not running, the network connection is down, or the wrong user name/password were used.


Network trending and its effect on ORS data

Data Sources > Network trending and its effect on ORS data
Network trending and its effect on ORS data
Any data collected by Observer’s Network Trending tool serves as information available to Observer Reporting Server. The data you see in ORS greatly depends on how you configure the relationship between the two applications. This section explains some of that information and a few best practices to follow.
Determine what type of data will be most useful for tracking and resolving your particular network and performance problems. Although completely acceptable, collecting data that you never use is an inefficient practice. For example, if you are interested in performance data, you should set up Application Performance Analysis and/or Application Transaction Analysis, and turn off all other data collections. Or, if you are interested in TCP applications just from the packet, byte and load count perspective, all you should enable in Observer’s Network Trending tool is IP Trending - Protocols by IP Address.
In Observer, only Application Performance Analysis and Application Transaction Analysis are enabled by default. We recommend enabling more from Trending/Analysis > Network Trending because some Observer Reporting Server reports require additional types be enabled, such as IP or MAC trending.
Even though Observer employs extremely powerful parallel processing technology, the benefit of collecting only the trending data you need is noticeable. First, there will be less load on the system; this is most important when multiple probe instances are sharing the system. Second, there will be less data written to disk during data collection. Third, there will be less data to transfer to ORS across the network. Fourth, the data processing will be faster both for Observer reports and for ORS reports, due to smaller per-day database files. Accordingly, turn on or off the trending data types in Observer’s Network Trending tool.
Ensure the Network Trending tool’s “Statistics Collection Interval” setting matches the “Data Transfer Schedule” in Observer Reporting Server. The default value for both is 60 minutes; it matches by default. If you need higher resolution, set both values to 10 minutes. This retains a matching value in Observer and Observer Reporting Server, and the transfer of data will be most efficient.
If you intend to “drill down” into more granular Observer trending data, you can set the '”Statistics Collection Interval” to 1 minute. However, the amount of the disk space consumed on the Observer system becomes significantly higher. These are also set in network trending settings. Also be sure to select an appropriate sampling divider.
Application Transaction Analysis only trends on purposely defined servers. As such, no additional setup is typically needed. However, when using Application Performance Analysis (a different yet similar tool within network trending), here are some items to consider:
*
Keep the “Track only new connections in every collection interval” setting enabled. This way you will have the most accurate information about network delay and server response time while tracking only connections that start within each collection interval.
*
If you want to track only specific servers, add these servers to the TCP Protocol Definitions list for the TCP application of interest. Then enable the setting “Track only servers using IP addresses and ports defined in 'Protocol Definitions and Server Application Discovery'.” Now Application Performance Analysis collects information only for the specified servers. (This practice is suitable only if the server list you are interested in is small.)
*
For larger server lists or for tracking interaction between local clients and remote servers (or vice versa), configure the subnet ranges in Observer’s network trending settings.
*
Limit the list of tracked applications, but remember if you have servers that use custom ports, you should specify them in Protocol Definitions and Server Application Discovery for the instance that has visibility on the server(s) of interest.
Concerning VoIP trending data, it is important to configure the VoIP trending settings in Observer. Specifically, be sure to specify the device IP addresses for correct identification of the device roles on your VoIP network. This ensures the data is being collected. Additionally, adjust the order of selections in the “Caller ID Determination” tab if necessary, so caller names are human-readable. You can also narrow the VoIP traffic flow by defining IP range filters.


Business Groups

Business Groups
Business Groups
How to create business groups
Observer Reporting Server is flexible enough to allow you to create a business group for any reason.
Because newly created business groups contain no reports, you must add them (either new or copied).
1.
Choose Organization Group > Business Groups tab.
2.
Click New. The Edit Business Group window appears.
3.
Use information from Table 1 to create your business group.
Table 3. Business Group tab options
Name
Description
Name
The name of your business group. This name that appears in the web page. It should be something generic, but descriptive.
Description
A summary of the business group. The description does not appear anywhere other than on this screen.
Disable trending for this Business Group
If you want to disable a business group without deleting it, select this option. It does not remove the business group from the web page, however, no updated data will be captured from Observer for this group. You need to clear the following two options if you want to remove them from the web page.
Show in web browser report ORS Business Groups list
Displays the group in the list on the Business Group tab of the web page.
Show in web browser report NetLive Business Groups list
Displays the group in the list on the NetLive tab of the web page.
Enable Business Group application filter
Limits which applications are tracked for this business group. By default there are no limits and all applications are monitored by the data source and displayed in the report.
Configure Business Group Thresholds
Configure thresholds for the current business group. These threshold values are independent of the default thresholds.
Available Data Sources
List of systems monitored in Observer.
Selected Data Sources
List of systems assigned to this business group.


Understanding the role of business groups

Business Groups > How to create business groups > Understanding the role of business groups
Understanding the role of business groups
Does the call center have enough bandwidth to run VoIP? How does current WAN configuration affect your just-in-time inventory system? What business processes have the greatest impact on systems?
Observer Reporting Server allows you to accurately assess the impact of mission-critical applications on your business through extensive reports. Observer Reporting Server also provides auto-baselining capabilities for establishing benchmarks, understanding typical performance levels, and running day-to-day comparisons.
By using a business group to assemble multiple systems into a logical entity, you can create reports specific for that entity. A business group is used to create a collection of data sources from one or more networks to create a data set against which to run the reports. Observer Reporting Server has several default business groups to which you can assign your data sources. You may also create your own business groups. You may want to create your own if you want to organize your data by department, location, multi-tiered application, or for some other reason.
Multiple business groups can be combined using super groups. Super groups allow for increased flexibility and scalability. For example, you might create a super group for each branch office, and populate each super group with the business groups they need access to.
A business group may contain:
*
Observer Suite analyzer getting trending data from any number of probe instances
*
Observer Infrastructure installations and the devices and monitors they poll
*
Routers specified by MAC address or DLCI address if monitored using the WAN functionality in Observer
*
Any device that is not a probe instance or router (such as a printer, server, or workstation) using a DNS name, MAC address, IP address, or IP range
For example, you have 14 web servers across your network that are monitored by three different probe instances. You can create a business group that views the statistical data from those three probes. Then, by selecting the IP addresses of the web servers, you can create a report that shows you just the data from the web servers as a group.
The Business Group tab shows the default business groups and any custom groups you have created. You can add, change, and delete groups from this tab. All business groups you create along with the custom ones appear on the ORS report web page along the left side.


How to define routers

Business Groups > How to define routers
How to define routers
To create reports on router utilization, one or more routers must be defined in your chosen business group.
Prerequisite(s):
Your address book must also be current. See “How to update the address book” for details.
To define a router:
1.
Choose Organization Group > Business Groups tab.
2.
Double-click a business group that has a data source. The Edit Business Group window appears.
3.
In the Selected Data Sources area, expand the tree and select a monitoring instance.
4.
Click the Instance Filters and Routers button. The Instance Filters and Routers dialog appears.
5.
Define Routers is selected by default. Click OK. The Router Settings window appears.
6.
Type the total speed of the probe instance (bits/sec), and then click New.
7.
Select a router address, and type the speed (bits/sec).


How to update the address book

Business Groups > How to update the address book
How to update the address book
Observer maintains an alias file that maps MAC to IP addresses or an alias, NETBIOS, or DNS name. By refreshing the address book, ORS connects to Observer and gets the latest data from the alias file from the selected probe instance so that any station aliases used in reports are reported correctly. We suggest that you periodically refresh your address book.
If the alias file that ORS has is not the current one from Observer or is empty, then all reports that are MAC driven will displayMAC addresses for Stations.
More often, as is true of heavy DHCP networks, a correctly configured but not up-to-date address file may show MAC address mapped to old IP addresses.
When the alias list is up-to-date, and correctly populated, then the new alias file will have the effect of showing MAC based reports with IP and/or alias information in the station names' columns.
1.
In Observer, choose Tools > Discover Network Names.
2.
Click Start to discover the devices attached to your network.
3.
Click Save Aliases. Confirm you want to overwrite the current alias list.
4.
In Observer Reporting Server, choose Organization Group > Business Groups tab.
5.
Right-click a business group and choose Edit. The Edit Business Group window appears.
6.
In the Selected Data Sources area, expand the tree and select a monitoring instance.
7.
Click the Refresh Address Book button.
A message appears in the Connection Activity section letting you know the status of the last command.


Narrowing the scope of your business groups

Business Groups > Narrowing the scope of your business groups
Narrowing the scope of your business groups
Observer can monitor numerous probe instances, but you may not need data from all of them.
You can choose to filter what data appears on a report by using a business group and limiting that business group to just the stations or probe instances that interest you. You can do this in more than one way:
*
Filtering by MAC or IP address
*
Filtering by devices
Figure 1 shows a business group where the data source is filtered to just a few stations and routers. So, regardless of how much trending data Observer captures, ORS is only interested in data from these selected sources.
Figure 4. Selected Data Sources


How to filter devices by MAC or IP

Business Groups > Narrowing the scope of your business groups > How to filter devices by MAC or IP
How to filter devices by MAC or IP
You may want your data sources filtered. One of the ways you can have them filtered is by MAC or IP address.
Prerequisite(s):
Ensure your address book is current by completing the steps in “How to update the address book” .
1.
Choose Organization Group > Business Groups tab.
2.
Right-click a business group and choose Edit. The Edit Business Group window appears.
3.
In the Selected Data Sources area, expand the tree and select a monitoring instance.
4.
Click the Instance Filters and Routers button. The Instance Filters and Routers dialog appears.
5.
Select Create or Edit Instance Filters, then click OK. The Instance Filters window appears.
6.
Click New. The Address Filter window appears.
7.
Choose an address type, range, and specify addresses.
8.
Choose the fields to which you want the address filter.
After completing this task:
After you have finished adding probe instances and devices to the Business Group, click OK from the main setup dialog to save changes and return to the Business Groups tab.


How to filter devices by DLCI

Business Groups > Narrowing the scope of your business groups > How to filter devices by DLCI
How to filter devices by DLCI
You may want your data sources filtered. One of the ways you can have them filtered is by DLCI.
Prerequisite(s):
Ensure your address book is current by completing the steps in How to update the address book.
1.
Choose Organization Group > Business Groups tab.
2.
Right-click a business group and choose Edit. The Edit Business Group window appears
3.
In the Selected Data Sources area, expand the tree and select a probe instance.
4.
Click the Instance Filters and Routers button. The Instance Filters and Routers dialog appears.
5.
Select Define DLCI Links (with CIRs), and click OK. The DLCI Device Selection window appears.
6.
Type a name for your link. The speed (Kbits/s) should auto-determine after a DLCI device is added; for now, ignore this field.
7.
Click New to add a DLCI device and fill in the details. Click OK when you are done.
8.
(Optional) Manually adjust the Speed (Kbits/s) field if auto-determine reports an incorrect speed.
After completing this task:
After you have finished adding probe instances and devices to the Business Group, click OK from the main setup dialog to save changes and return to the Business Groups tab.
This dialog lets you select a list of individual DLCIs, ranges of DLCIs, or a combination of both to specify WAN routers being monitored by WAN Observer. Click New to display a dialog that lets you specify a DLCI or range. The dialog also lets you either set the Committed Information Rate (CIR) or use the rate set at the remote Observer Suite analyzer.
Click Edit to change the currently selected address filter. Click Delete to remove the selected address filter from the list. Click OK when you are done.


How to ignore protocols

Business Groups > Narrowing the scope of your business groups > How to ignore protocols
How to ignore protocols
Instead of showing all protocols for all systems, you may want to filter specific protocols for servers in the business group.
You can filter, or ignore, protocols by choosing which protocols are associated with a business group. You may also edit a business group after it has been created to filter the protocols then.
1.
Choose Organization Group > Business Groups tab.
2.
Double-click a business group that has a data source. The Edit Business Group window appears.
3.
In the upper right, ensure the Enable Business Group application filter option is selected, then click the Select button.
The Application Filter window appears. It is divided into two sections. The top half lists which network applications are being filtered. The bottom half shows which fields the filters are applied.
4.
Click Add to select the protocols you want this business group to filter. You may use Ctrl+Shift or Ctrl+Alt and the mouse.


ORS Reports

ORS Reports
ORS Reports
How to create a report
The main purpose of Observer Reporting Server is to provide reports, either pre-configured reports or ones that you create and customize yourself. Like an onion, there can be many layers or parts of a report, each of which can be customized through filters and more.
Note: If you want reports for a specific site, department, application, address, address range, or for some other reason, you must first create a business group for it. Then you can create custom reports or copy existing reports for that business group.
1.
Choose Reports > Business Group Reports.
2.
Click New. The Report Setup window appears.
3.
Configure your report.
Option
Description
Report name
Type a name for your report.
Report description
Type a description for your report. This can be helpful if you have numerous reports or have people looking at the report lists who are unfamiliar with what each report contains.
Drill down report
Enable this option if you want the report to be a sub-report of another report that you have already created. After the report is created you must move the report by clicking the “Edit report positioning” option and then dragging your report to its desired location.
Show filter information
Enable this option if you want sub-reports, associated with this report, to display the filter criteria that was applied (verbose mode). For more details, see Filtering at the report element level.
Hide report elements that do not contain data when viewing this report
Enable this option to dynamically hide report elements. This option is especially useful when a report contains a search element; if your search returns "empty" results in any of the elements of your report (nothing could be found), those elements become hidden from view.
Use as Alarm report
Enable this option if you want the report to be an Alarm report. Alarm reports can only contain Current Status elements.
Redirect to external website
Select this option if you want your report to behave solely as a URL hyperlink in the web interface.
Limit report access to
Optionally specify the business group that can view this report. If all business groups should have access, ensure “<All Business Groups>” is selected.
Use Address Book
Choose which address this report should use.
Using the probe’s address book uses the current network names address book for aliases on all reports regardless of the day the report is displaying. Should the current address book change on the probe, it is transferred to Observer during the next data transfer.
Using the trending file’s address book uses the addresses contained in the trending data file for that day. The address book is written in the trending data each day when the first trending file is recorded. Should the address book change during the day a new address book is written in the next trending file, and the newest address book is used for Observer for reports showing that day.
For reports with systems using DHCP, you may notice a difference between the probe and trending file’s address book. If your report seems different than what you expect, use the other address book. In general, the trending file’s address book will be more current and should be your default choice.


How to add table elements

ORS Reports > How to create a report > How to add table elements
How to add table elements
Tables are wonderful for showing lots of data in a relatively small space. For instance, both a graph and a table can show you the top 10 data sources receiving the most traffic, but a graph will show you that data visually and the table will show you that data as numbers.
1.
In the Layout tab of the Report Setup window, click the Add Item button. The Add Report Element dialog appears.
2.
Choose Table, and click OK, The Table Column Setup window appears.
3.
Type a name for the table. This name appears on the Layout tab and in the heading of the table when the report is displayed in your web browser.
4.
In the Data Source Selection area, choose the trending source, sub-source, and report type. The trending source that you choose determines what sub-sources and reports are available.
5.
Use the Available Columns area to choose what information you want in your table.
6.
Use the Table layout area to change the order of the columns in the table. The top entry is the first (left-most) column in your table while the last entry is the right-most.
*
Arrows—Changes the order of the columns.
*
Remove—Deletes the column from the table.
*
Set as Sort Column—Sets the selected column as the key column and sorts the data from highest to lowest (descending) value. Click the button again to sort the data lowest to highest (ascending).
*
Edit Field Display Name—Sets the display name of the selected field to a custom text string.
*
Show Baseline Value Column—Adds a secondary, identical column beside your selected column; the secondary column is populated with observed baseline values to compare against.
7.
(Optional) Click the Edit Filter button (above the OK and Cancel buttons) to apply custom filtering for this report element.
8.
Click OK to close the Table Column Setup window. Your table appears.
9.
Select the table you want to configure. On the left you can see the tables, graphs, or other items you have added. On the right are the options for the selected table.
Option
Description
Edit
Allows you to make changes to your table.
Max items
Limits the maximum number of items that may appear in the table. The default is 10.
Table shading
Choose how you want the table to be shaded, if at all.
Two row headers
Select this option if you want columns with long heading names to break across two rows. This makes columns narrower, which may be desirable for many columns.
ORS drill down report
Choose an ORS sub-report if you want to be able to navigate from this report directly to it.
Observer drill down report
Choose an Observer sub-report if you want to be able to navigate from this report directly to it.
Enable GigaStor drill down
Select this option to be able to connect to your GigaStor for more reports. This requires that you have GigaStor.


How to add graph elements

ORS Reports > How to create a report > How to add graph elements
How to add graph elements
Graphs provide a quick way to see a relative relationship. For instance, both a graph and a table can show you the top 10 data sources receiving the most traffic, but a graph will show you that data visually and the table will show you that data as numbers.
1.
In the Layout tab of the Report Setup window, click the Add Item button. The Add Report Element dialog appears.
2.
Select Graph, and click OK. The Graph Setup window appears.
3.
Type a title for the graph. This name appears on the Layout tab and in the heading of the graph when the report is displayed in your web browser.
4.
In the Data Source Selection section, choose the trending source, sub-source, report type, and graph type. The trending source that you choose determines what sub-sources and reports are available.
5.
Use the Available Columns area to choose what information you want on your graph.
6.
Use the Graph layout area to change the order of columns in the columns. The top entry is the first (left-most) column in your graph while the last entry is the right-most.
*
Arrows—Changes the order of the columns.
*
Remove—Deletes the column from the graph.
*
Set as Sort Column—Sets the selected column as the key column and sorts the data from highest to lowest (descending) value. Click the button again to sort the data lowest to highest (ascending).
*
Edit Field Display Name—Sets the display name of the selected field to a custom text string.
7.
(Optional) Click the Edit Filter button (above the OK and Cancel buttons) to apply custom filtering for this report element.
8.
Click OK to close the Graph Setup window. Your graph appears.
9.
Select the graph you want to configure. On the left you can see the tables, graphs, or other items you have added. On the right are the options for the selected graph.
Option
Description
Edit
Allows you to make changes to your graph.
Max items
Limits the maximum number of items that may appear in the graph. The default is 10.
Large number format
Choose how you want large numbers to appear. Your choices are: actual, exponential, and metric.
Minimum graph height
Sets the minimum height of a graph. This is pixels. For most monitors there are 96 pixels in one inch (96 pixels in 2.54 cm).
Legend rows
Choose how many rows you want in your legend.
Vertical title
Select this option if you want the title of the graph to appear vertically instead of horizontally.
ORS drill down report
Choose an ORS sub-report if you want to be able to navigate from this report directly to it.
Observer drill down report
Choose an Observer sub-report if you want to be able to navigate from this report directly to it.
Enable GigaStor drill down
Select this option to be able to connect to your GigaStor for more reports. This requires that you have GigaStor.


How to add multi-source graph elements

ORS Reports > How to create a report > How to add multi-source graph elements
How to add multi-source graph elements
Use multi-source graph elements to create a single graph from multiple data sources. Adding one to your report exposes relationships between these statistics during a target period of time or network event.
The multi-source graph can help you understand the root-cause of issues and identify correlations between conditions, such as the relationship between response time and resource consumption.
To add a multi-source graph element to a report:
1.
In the Layout tab of the Report Setup window, click the Add Item button.
2.
Select Graph (Multi-Source), and click OK.
3.
Type a descriptive title.
This name appears on the Layout tab and in the heading of the graph when the report is displayed in your web browser.
4.
Choose a graph type:
Graph type
Description
Multi-axis Line - 2D
Line graph with colored plots.
Multi-axis Fill - 2D
Line graph with colored plots and shading underneath each plot area.
5.
Click the Add Plot button.
6.
In the Data Source Selection area, choose the trending source, sub-source, and report type.
The trending source that you choose determines what sub-sources and reports are available.
7.
Use the Available Columns area to choose what information you want on your graph.
8.
Click OK to add the plot.
9.
(Optional) Repeat 5 through 8 to add more plots.
10.
(Optional) Apply a filter: select a plot and click the ellipsis button.
11.
In the Multi-Source Graph Setup window, click OK to save your changes.
You successfully added a multi-source graph element to your report.
Understanding multi-source graph elements
A multi-source graph element is the only graph element that can represent data from multiple trending sources simultaneously.
By design, Observer Reporting Server collects data from many sources. The collected data is usually diverse: for example, some from performance metrics, some from hardware polling information, and some from database statistics. Seemingly unrelated information between all of these sources can be represented in a single graph using a element. This type of correlation is how information gathered by Observer Reporting Server becomes knowledge for your institution, instead of just data.
Some benefits of adding multi-source graph elements to your reports include:
*
Discovering if one performance metric affects another. Is the correlation positive or negative?
*
Helping isolate potential causes of a problem by understanding performance relationships.
*
Tracking of known correlations. For example, network device count versus total packets observed.
*
Troubleshooting from a new perspective. Is network hardware interfering with your applications?
*
Exposing any relationships between applications and the network.
The greatest benefit of multi-source graph elements is that any plot item can be from any trending source. Simply, if you have the data—regardless of how it is obtained—you can plot it on a multi-source graph element. The only requirements are that data is collected, transferred to Observer Reporting Server, and data sources are correctly assigned to business groups.


How to add current status elements

ORS Reports > How to create a report > How to add current status elements
How to add current status elements
Current status elements provide a quick, easy-to-understand way of determining whether your data source or service is in a healthy state. You can even group several devices or services together so that if any one of them has their status change, the status for the entire group changes.
For example, if you have a service that relies on four systems and one of the four systems is slow, it slows the service. Even though three of the systems are fine, it is because of the fourth one that a problem is reported.
1.
In the Layout tab of the Report Setup window, click the Add Item button. The Add Report Element dialog appears.
2.
Select Current Status, and click OK. The Current Status Element Setup window appears.
3.
Type a title for the status group.
4.
Click New Status Element Row to create a new current status for inclusion in the current status group. The Current Status Element Row Setup window appears.
5.
In the Data Source Selection area, choose the trending source, sub-source, and report type. The trending source that you choose determines what sub-sources and reports are available.
6.
Use the Available Columns area to choose what information you want on your current status.
7.
Use the Element Row layout area to change the order of columns in the current status. The top entry is the top statistic in your current status while the last entry represents the bottom.
*
Arrows—Changes the order of the columns.
*
Remove—Deletes the column from the graph.
*
Set as Sort Column—Sets the selected column as the key column and sorts the data from highest to lowest (descending) value. Click the button again to sort the data lowest to highest (ascending).
8.
Click OK to confirm your changes.
9.
Click OK to close the Current Status Element Setup window. Your status element now appears on the Layout tab.
10.
Select the current status group you want to configure. On the left you can see the tables, graphs, or other items you have added. On the right are the options for the selected current status.
Option
Description
Current Status Header (optional)
Allows you to apply a custom header to the selected current status. Only one custom header can be assigned to each custom status.
Edit
Allows you to make changes to your current status.
Large number format
Choose how you want large numbers to appear. Your choices are: actual, exponential, and metric. The default is exponential.
Minimum display height
Sets the minimum height of a current status. This is pixels. For most monitors there are 96 pixels in one inch (96 pixels in 2.54 cm).
ORS drill down report
Choose an ORS sub-report if you want to be able to navigate from this report directly to it.
Understanding current status elements
Current Status elements provide current application status to quickly assess service quality and respond to degrading performance before it impacts you.
Use Current Status elements to:
*
Quickly assess performance for critical application services
*
Customize a “dashboard” view of key applications and metrics
*
Track critical metrics such as: response time, connection details, utilization, and VoIP quality
Figure 5. Current Status Dashboard Report


How to add grid elements

ORS Reports > How to create a report > How to add grid elements
How to add grid elements
Grid elements are similar to current status elements. Grids are more complex but, in some cases, can offer greater flexibility.
For example, you can configure a grid to show multiple points of data as they currently exist on the network, or simply across a time period (which is the default behavior).
To add grid elements to you report:
1.
In the Layout tab of the Report Setup window, click the Add Item button. The Add Report Element dialog appears.
2.
Select Grid, and click OK. The Grid Setup window appears.
3.
Type a title for the grid.
4.
Click Add Field.
5.
In the Data Source Selection area, choose the trending source, sub-source, and report type. The trending source that you choose determines what sub-sources and reports are available.
Details of the trending sources can be found at “Available report variables for each trending source”.
6.
Use the Available Columns area to choose what information you want on your grid.
7.
Click the Grid Row Filters tab.
8.
Type a name for your new row.
9.
Click Add Grid Row Filter, and apply a filter.
10.
Click OK when finished. You return to the Report Setup window.
11.
(Optional) Select an ORS drill down report for each or any grid row elements you create.
12.
(Optional) Change the grid element type.
13.
Click OK to close the Grid Setup window. Your grid element appears.
14.
Select the grid you want to configure. On the left you can see the tables, graphs, or other items you have added. On the right are the options for the selected grid.
Option
Description
Text entry formatting
Allows you to apply simple formatting to your comment text. Your choices are: bold, underline, and italic.
Text entry window
Type text here that you wish to appear in your comment and resulting report.
Insert image
Allows you to import and insert an image into your comment. Supported formats: JPG, GIF, BMP, and PNG.
Edit HTML
Allows you to include, or edit existing, HTML tags in your comment.
Table shading
Choose how you want the table to be shaded, if at all.
Large number format
Choose how you want large numbers to appear. Your choices are: actual, exponential, and metric. The default is exponential.


How to add summary elements

ORS Reports > How to create a report > How to add summary elements
How to add summary elements
Business group summary elements provide an overview of all device groups set up in Observer Infrastructure. including the total number of devices, device groups, and alarm-enabled devices.
To add summary elements to a report:
1.
In the Layout tab of the Report Setup window, click the Add Item button. The Add Report Element dialog appears.
2.
Select Business Group Summary, and click OK. Your business group summary appears.
3.
(Optional) Reposition the business group summary by using the arrow buttons.


How to add search elements

ORS Reports > How to create a report > How to add search elements
How to add search elements
Search elements are used for searching report data within the web interface.
Search elements allow you and other report viewers to search for specific data in a report. For example, if you know the IP address you are interested in searching for, you can type it in search box in the web report and retrieve data that applies only to that IP address. If that IP address (or other query item) is not already exposed in your report data during the set time period, the search returns "empty" results. To remove a search having no results, clear all text from the search box and click Search.
To add a search element:
1.
In the Layout tab of the Report Setup window, click the Add Item button. The Add Report Element dialog appears.
2.
Select Search, and click OK. Your search appears.
Only one search element can exist per report. If Search is unnavailable as a choice, ensure one does not already exist.
3.
Select the search you added or otherwise want to configure. On the right are options for the selected search.
Setting
Description
Search using specific data source
Choose this setting if the scope of your search element should be narrowed to only one trending source and sub-source. This setting is most appropriate when all other elements (i.e. graphs, tables, etc.) in your report come from the same trending source.
Search across all data sources
Choose this setting if the scope of your search element should search across all data sources. This setting is most appropriate when elements in your report come from more than one trending source. We recommend you choose this setting in most cases.
Trending source1
Sets the trending source from which you select a sub-source.
Sub-source1
Sets the sub-source of your search. Your choice affects which search fields are available.
Fields to search
Allows you to include or exclude specific search fields.
Show search tip
While Shows a search tip under the currently selected search field, reminding users of valid inputs.
1
Only visible while "Search using specific data source" is selected.


How to add comment elements

ORS Reports > How to create a report > How to add comment elements
How to add comment elements
Comment elements are used for delivering extra information to viewers.
Comments can provide viewers the contact information of your service providers, or you could use one to remind viewers of upcoming scheduled maintenance.
1.
In the Layout tab of the Report Setup window, click the Add Item button. The Add Report Element dialog appears.
2.
Select Comment, and click OK. Your comment appears.
3.
Select the comment you want to configure. On the right are options for the selected comment.
Option
Description
Text entry formatting
Allows you to apply simple formatting to your comment text. Your choices are: bold, underline, and italic.
Text entry window
Type text here that you wish to appear in your comment and resulting report.
Insert image
Allows you to import and insert an image into your comment. Supported formats: JPG, GIF, BMP, and PNG.
Edit HTML
Allows you to include, or edit existing, HTML tags in your comment.
Show separator
Sets the status and location of the separator. Your choices are: none, above comment, and below comment.


How to add alarm elements

ORS Reports > How to create a report > How to add alarm elements
How to add alarm elements
Alarm elements provide an overview of a device group set up in Observer Infrastructure. including the total number of devices and alarm-enabled devices.
To add alarm elements to a report:
1.
In the Layout tab of the Report Setup window, click the Add Item button. The Add Report Element dialog appears.
2.
Select Business Group Alarms, and click OK. Your business group alarm appears.
There are no configurable options for business group alarms.
3.
(Optional) Reposition the business group alarm by using the arrow buttons.


How to add log elements

ORS Reports > How to create a report > How to add log elements
How to add log elements
For many administrators, log files are one of the most useful tools you use. A report can contain logs or even filtered logs for your data sources and you can go from the log entry directly to the GigaStor
To add a log element:
1.
In the Layout tab of the Report Setup window, click the Add Item button. The Add Report Element dialog appears.
2.
Select Observer/ORS Log, and click OK. The Table Column Setup window appears.
3.
Type a name for the log. This name appears on the Layout tab and in the heading of the log report when displayed in your web browser.
4.
In the Data Source Selection area, choose the trending source. The trending source that you choose determines what sub-sources and reports are available.
5.
Use the Available Columns area to choose what information you want to log.
6.
Use the Table layout area to change the order of columns in the columns. The top entry is the first (left-most) column in your graph while the last entry is the right-most.
*
Arrows—Changes the order of the columns.
*
Remove—Deletes the column from the graph.
*
Set as Sort Column—Sets the selected column as the key column and sorts the data from highest to lowest (descending) value. Click the button again to sort the data lowest to highest (ascending).
*
Edit Field Display Name—Sets the display name of the selected field to a custom text string.
*
Show Baseline Value Column—Adds a secondary, identical column beside your selected column; the secondary column is populated with observed baseline values to compare against.
7.
Click OK to close the Table Setup window. Your log report appears.
8.
Select the log report you want to configure. On the right are options for the selected log.
Option
Description
Edit
Allows you to make changes to your log.
Table Filter
Allows you to apply a filter to some of the columns for the report. The type of data that may be filtered varies by the table you have selected.
Max items
Limits the maximum number of items that may appear in the table. The default is 10.
Table shading
Choose how you want the table to be shaded, if at all.
Two row headers
Select this option if you want columns with long heading names to break across two rows. This makes columns narrower, which may be desirable for many columns.
ORS drill down report
Choose an ORS sub-report if you want to be able to navigate from this report directly to it. This option is unavailable for log elements that use the ORS Log trending source.
Observer drill down report
Choose an Observer sub-report if you want to be able to navigate from this report directly to it. This option is unavailable for log elements that use the ORS Log trending source.
Enable GigaStor drill down
Select this option to be able to connect to your GigaStor for more reports. This requires that you have GigaStor. This option is unavailable for log elements that use the ORS Log trending source.


How to add baseline lock elements

ORS Reports > How to create a report > How to add baseline lock elements
How to add baseline lock elements
Baseline lock elements allow you to lock the baseline to the currently viewed values.
Locking the baseline is useful when you wish to compare current and past data from inside the same report.
To add baseline lock elements to a report:
1.
In the Layout tab of the Report Setup window, click the Add Item button. The Add Report Element dialog appears.
2.
Select Lock Baseline to Current Value, and click OK. Your baseline lock appears.
3.
(Optional) Reposition the baseline lock by using the arrow buttons.


How to add break elements

ORS Reports > How to create a report > How to add break elements
How to add break elements
Break elements are the simplest report elements; they are only used for introducing visual “breaks” in your report.
Because each break element converts to a report header in your report, they are useful when you anticipate viewing or printing lengthy reports.
To add break elements to your report:
1.
In the Layout tab of the Report Setup window, click Add Item. TheAdd Report Element dialog appears.
2.
Select Break, and click OK. Your break appears.
3.
(Optional) Reposition the break by using the arrow buttons.


How to add application dependency elements

ORS Reports > How to create a report > How to add application dependency elements
How to add application dependency elements
The Application Dependency Discovery Diagram, known simply as the application dependency element, must be added to your report before it can be fully used.
To add an application dependency element:
1.
In the Layout tab of the Report Setup window, click the Add Item button. The Add Report Element dialog appears.
2.
Select Application Dependency Discovery Diagram, and click OK. The Current Status Element Setup window appears.
3.
Type a title for the element.
4.
Click Add Field to create a new current status for inclusion in the current status group. The Current Status Element Row Setup window appears.
5.
In the Data Source Selection area, choose which set of thresholds the element should
6.
Use the Available Columns area to choose which performance measurement is exposed by the links (lines) in your dependency diagram.
7.
Click OK to confirm your changes.
8.
Click OK to close the Application Dependency Discovery Diagram Element Row Setup window. Your application dependency element now appears on the Layout tab.
9.
Select the application dependency element you want to configure. On the left you can see the tables, graphs, or other items you have added. On the right are the options for the selected current status.
Option
Description
Edit
Allows you to make changes to your current status.
Large number format
Choose how you want large numbers to appear. Your choices are: actual, exponential, and metric. The default is exponential.
Minimum display height
Sets the minimum height of a current status. This is pixels. For most monitors there are 96 pixels in one inch (96 pixels in 2.54 cm).
ORS drill down report
Choose an ORS sub-report if you want to be able to navigate from this report directly to it.
How to operate an application dependency element
After adding an Application Dependency Discovery Diagram element to your report, further use of the element now occurs in the ORS web interface.
Prerequisite(s):
These steps assume you have already added an Application Dependency Discovery Diagram element to your report and are viewing that report in a web browser. For details, see Visualizing the components of multi-tier applications.
To operate an application dependency element:
1.
Locate the application dependency element in your report.
2.
Click Discover in new report.
3.
Provide your initial search criteria.
In the example image, we chose to add nodes via search. We are searching for any server address that served CIFS/SMB during the past seven days.
4.
Begin the search by clicking OK.
The search returns every server that matches your criteria. This process may take a few moments if your search is broad.
5.
Select any listed servers that you want added to the dependency diagram. Then, click OK.
6.
Right-click a server and select Discover connections.
7.
Provide the second set of search criteria.
In the example image, we chose to add nodes by either server or client. We are searching for any IP address that our selected server sent out or received CIFS/SMB traffic from during the past seven days. Finally, we want to see each connection as a separate icon by disabling Rollup Clients.
8.
Begin the search by clicking OK.
The search returns every result that matches your criteria. This process may take a few moments if your search is broad.
9.
Click Save. Then, type a name for your report and click OK.
A new report is created in the {Custom User Reports} folder with the name your provided. Open the report to see your completed dependency diagram. The diagram can be viewed in diagram or table view by clicking the button in the lower corner.
Understanding application dependency elements
Application Dependency Discovery Diagram elements allow you to discover and map the connections responsible for a functioning multi-tier application.
Multi-tiered applications typically rely on multiple servers passing information. In complex network environments, it can be difficult to track or realize the dependency one server has on another server. The Application Dependency Discovery Diagram element can help expose those dependencies.
For example, you may have legacy equipment in your network environment. This equipment has been on your network for years, but what exactly is it responsible for? Would removing it from the network harm any existing applications and solutions? The answers may have been lost over time, but ORS can help you understand those dependencies before you act.


How to create a report folder

ORS Reports > How to create a report folder
How to create a report folder
Sometimes the best way to organize reports is with additional folders. Using folders, you can categorize report types and improve report navigation in the web interface.
To create new folders in Observer Reporting Server, complete the following steps:
Tip! This workflow operates the same way for any report type.
1.
Choose Reports > Business Group Reports.
2.
Right-click anywhere in the reports list, and select New Folder.
3.
Type a name for your folder.
4.
(Optional) Type a description for your folder.
5.
(Optional) If you use Super Groups, consider enabling the “Use as Super Folder” setting. This causes the folder to appear in the root navigation of the web reports and Business Groups tree.
6.
Specify a business group assignment; these options include:
*
None—the folder is not assigned to any business group.
*
All business groups—the folder is assigned to all business groups.
*
Select from list—the folder is assigned to only specific business groups.


How to view reports from a browser

ORS Reports > How to view reports from a browser
How to view reports from a browser
Reports are published by Observer Reporting Server, but viewing those reports requires using a web browser.
Prerequisite(s):
*
Internet Explorer 8.0 or later
*
Mozilla Firefox
*
Google Chrome
To view pre-loaded reports, you do not have to configure anything; simply use your web browser and these instructions:
Tip! Application requests and response codes—for example, SQL error codes—can be seen in a pre-loaded report. Navigate to this report using your web browser. First choose the Business Group Reports tab. Next, choose the Application Transaction Analysis folder. Then, choose the report named Application Transaction Analysis performance Summary. Finally, click the “drill down” button for an application, and select Transaction Details Across all Servers.
A report may be blank if the probe is not collecting any data that the report is attempting to show. This could be because the probe did not see any of that traffic type or it was not configured to collect it. For example, router-based reports will not report any statistics unless the instance monitoring the router has had its Router Observer statistical mode configured and enabled. Ensure the probe instance is configured to collect the data you want. Also, ensure the report period is set to a valid range.
1.
Open a web browser and type the following URL: http://ORShost/ORS where ORShost is the host name or IP address of the system running ORS.
2.
Log in using your user name and password. The default user account is Administrator. There is no pre-defined password for the account.
3.
Select the report you want from the list of reports along the left.
4.
Change the report period to a specified time period.
You may change the time range by manually typing in the range and clicking Show Report. The arrows allow you to scroll to the right or left one time interval. The amount of time it shifts is based on the range you are currently viewing.
You may also use the magnifying glass to zoom in or out on a graph. The magnifying glass shows the following intervals: 10 minutes, 30 minutes, 60 minutes, 180 minutes, nine hours, one day, three days, 10 days, 30 days, 90 days, 270 days. Viewing time intervals shorter than 10 minutes is not possible with business group reports in ORS; instead, you must use Observer.
Note: When attempting to view a web report and you receive the message "The username or password is incorrect," the issue may not be account-related. If you are positive that the user name and password are correct, then verify that your web browser accepts cookies. Cookies must be enabled (specifically: not set to Block All Cookies) in your web browser to view web reports for Observer Reporting Server.


How to back up reports

ORS Reports > How to back up reports
How to back up reports
Observer Reporting Server includes a backup and restore feature that can back up your reports to a file. In case of disaster, the same file can be used to restore all of your reports.
To back up your reports:
1.
Choose File > Backup Reports.
2.
Navigate to a suitable Windows directory, and click Save.


How to export XML

ORS Reports > How to export XML
How to export XML
Sometimes it is advantageous to bring ORS data out of its native format. If you need to, you can export your data to XML.
Observer Reporting Server can generate hundreds of reports, all of which can be configured as you need and provide you visibility and analytics about your network. After creating a report, there may be times where you want the data from only part of a report so you can store the data elsewhere or manipulate it using another tool. Using settings only available from the report in your web browser, you can access the data on a report.
You can access report content in its raw format and then process the data with your tools. Just some of the raw data you can access includes SLA measurements for use in a MOM, security alerting inside a SIEM, or compliance monitoring data.
Unlike nearly every task described in this guide, which describes using the ORS user interface to configure reports, this feature is only available after the report is created and you are looking at it in your web browser.
1.
Open a web browser and enter the following URL: http://ORShost/ORS where ORShost is the host name or IP address of the system running ORS.
2.
In the upper left, ensure the Business Group Reports tab is selected. It must be selected so that the Settings option is visible. The Settings option is not visible if you have the NetLive tab selected.
3.
Click Settings in the upper right. The Report Settings page opens.
Option
Description
Show Report Element Link when clicking on the report element title bar
Used to embed report elements from ORS in a third party tool. This allows you to click the title bar of any report element (graph, table, etc.) and obtain a link to that element and then embed the link in your tool. Hover your mouse over an element title and click it. This opens a pop up window from which you can open the element in another browser window or use in your third party tool.
The report (or report element — table, graph, etc.) you selected is processed and displayed in your third party dashboard. This report is from the business group under which it was generated, with the associated data sources and filters applied.
In the URL, you may see a start time and end time for the report. This happens when you generate the report using a fixed time criteria. These fields are in epoch and can be modified within the URL to provide the report on whatever fixed time period you wish.
Show XML Export button
Allows the user to manually export the XML of a report (in its entirety, including all elements) to a XML file. An “XML Export” button appears at the top left. Click the button to generate an XML file which is saved to your hard drive. Use the XML file as you wish.
Show XML Report Link button
Similar to the Show XML Export button, but instead of needing to click the button to generate the XML, you can generate the URL once and then use the XML data request URL in your third party tool. The resulting XML will be for the entire report, including all elements.
Similar to the “Show Report Element Link…”, the start and end times can be modified if using fixed time periods, and all business group sources and filters will apply.


Creating reports from your web browser

ORS Reports > Creating reports from your web browser
Creating reports from your web browser
Creating reports from your web browser is easy and requires very little knowledge of Observer Reporting Server.
The basic workflow consists of copying report elements you find appealing, and then pasting them into a new or existing report.
All users can create custom reports, even if they lack access to the Observer Reporting Server software. The only requirement is a user account that can access the ORS web server using a web browser.
Traditionally, report creation is limited to those with access to the back end Observer Reporting Server application. In most cases, the number of people with access to ORS is significantly smaller than the number of report viewers. Such disparity can create a situation where requests for custom reports cannot be fulfilled in a timely manner. You may even discover that some departments simply need the flexibility to create reports from any computer.
With its benefits, creating reports from the web browser is also secure:

Creators must have a working user account in ORS. (NIMS if applicable)

Creators can only create reports from existing report elements—meaning only from what they can see.

User reports can be deleted by administrators at any time.


How to copy a report element

ORS Reports > Creating reports from your web browser > How to copy a report element
How to copy a report element
Any report element seen in the web interface can be placed into a custom report. For that to occur, a report element must be copied.
To copy a report element from the ORS web interface:
1.
Locate a report element you want to copy.
2.
Click the title bar of that element.
3.
Click Copy to custom report.
You successfully copied a report element. This element can be placed into a custom report by pasting it.


How to paste a report element

ORS Reports > Creating reports from your web browser > How to paste a report element
How to paste a report element
To create a custom report from your web browser, report elements must be pasted into a new or existing custom report.
Prerequisite(s):
A report element must be copied before it can be pasted. For details, see How to copy a report element.
Note: These instructions assume you are pasting into a new custom report.
To paste a report element in the ORS web interface:
1.
Click New Custom Report.
2.
Click Paste Element.
You successfully pasted a report element into a new custom report. The copy/paste process is repeatable, so you can include as many report elements as necessary.


Available report variables for each trending source

ORS Reports > Available report variables for each trending source
Available report variables for each trending source
Observer Reporting Server can place hundreds of variables in tables or grids or graphs. The list is extremely expansive and too large to include in this space, but using the links below you can view the variables by trending source. Only the variables available for that trending source are shown. Each column is a sub-source under the trending source in ORS.
APA and ATA
Internet Patrol
IP Pairs
MAC Layer
Microburst
IPFix/NetFlow/sFlow
Observer Infrastructure
TCP/UDP Applications
Trading Multicast
VLAN
VoIP
Wireless


Visualizing the components of multi-tier applications

ORS Reports > Visualizing the components of multi-tier applications
Visualizing the components of multi-tier applications
Using data from Application Performance Analysis, multi-tier applications can be automatically parsed and visualized as a diagram. Each diagram displays the observed dependencies of a multi-tier application, such as the servers involved and clients served.
This feature is known as Application Dependency Mapping, and the key to its use is a single report element: the Application Dependency Discovery Diagram.
Multi-tiered applications typically rely on multiple servers passing information. In complex network environments, it can be difficult to track or realize the dependency one server has on another server. The Application Dependency Discovery Diagram element can help expose those dependencies.
For example, you may have legacy equipment in your network environment. This equipment has been on your network for years, but what exactly is it responsible for? Would removing it from the network harm any existing applications and solutions? The answers may have been lost over time, but ORS can help you understand those dependencies before you act.
The workflow, for using this feature, requires some steps be performed in the ORS application and some steps in the web interface. In order, these are the high-level steps required:
1.
Add a Application Dependency Discovery Diagram report element to a new or existing report. For details, see How to add application dependency elements.
2.
View this report using your web browser. For details, see How to view reports from a browser.
3.
Begin your discovery from the report element. For details, see How to operate an application dependency element.


Filtering at the report element level

ORS Reports > Filtering at the report element level
Filtering at the report element level
Using Observer Reporting Server, you can filter individual report elements if desired. Meaning, the smallest building-blocks of your reports, like tables and graph elements, can be filtered to focus on specific portions of your network.
Moreover, filtering at the report element level will not displace or modify your underlying data, nor is such the intended purpose. The intended purpose of element filtering is to narrow the scope of report criteria, so the end result (i.e. a graph) is specific and easily understood by viewers.


Understanding statistical double-averaging

ORS Reports > Understanding statistical double-averaging
Understanding statistical double-averaging
Both Observer Reporting Server and Observer APA- and ATA-based reports use per-server, per-time interval averaging. This means that the average response time for multiple servers is calculated based on the sum of average response time for each server divided by the number of servers for each time interval. The calculation is done this way on purpose. It allows focusing on determining the average response time for all servers, instead of the busiest server weighing the response time disproportionately by either lowering or increasing the average response time based on number of observed connections.
When data is collected in Observer with higher granularity than aggregated in Observer Reporting Server, the numbers for average response time may differ from what is seen in the internal Observer Network Trending Viewer tool (and Observer Web Reports that use the same trending data). This is due to double averaging, and even though the numbers differ, they show valid statistical information based on the context.
Ultimately, Observer Reporting Server results are most useful for long-term trending and averages are based on this goal, while Observer can provide higher granularity suitable for further investigation. If the Observer collection interval is equal to the Observer Reporting Server data transfer schedule, the results would be identical. Alternatively, if traffic is represented in every minute of collection for both servers, even with differing Observer and ORS intervals, the results would still be very close to each other.


Understanding reports

ORS Reports > Understanding reports
Understanding reports
Observer Reporting Server has many types of reports. The data that populates these reports belongs to Observer and Observer Infrastructure.
To make use of reports, Observer must be collecting network trending data. Without the trending data, which includes the option to include NetLive data, ORS will not have any data for its reports. The same applies to Observer Infrastructure; it must have data to share with ORS.
In Observer, you must start Network Trending. This is done by choosing Trending/Analysis > Network Trending and then clicking the Start button. We suggest that you configure Network Trending so that it is automatically collected ( Settings > Schedule ), and automatically transfer data from the probe to Observer ( Settings > Data Transfer ).
On certain reports, for example NetLive reports, the colors and height and width of the bars have meaning.
Setting
Description
Color
The color indicates whether something has exceeded a threshold. Anything below the marginal threshold is green, anything between the marginal and critical threshold is yellow and anything above the critical threshold is red. The thresholds are defined in the Program Settings.
Height
The height indicates the amount of relative volume. There is no bar if nothing was seen for that time,. This is relative based on the amount of data seen within a report’s overall interval.
Width
On a Business Group report, each color represents a specific time that is relative to the report. As you zoom in or out, the time changes and so will the width of the bar.
NetLive On a NetLive report, each section of color represents 20 seconds.


Understanding business group reports

ORS Reports > Understanding reports > Understanding business group reports
Understanding business group reports
Business group reports are reports of your network in intervals as little as one minute and up to two years. Most reports are interactive; for example, you can click a graph in a report to view more detailed information.
There are several pre-loaded reports that provide information about:

Application Performance Analysis

Application Transaction Analysis

IPFIX and Flows

Microbursts

Response Time Analysis

TopN for OSI Layers

Trading Multicasts

VLAN

VoIP

Wireless


Understanding NetLive Reports

ORS Reports > Understanding reports > Understanding NetLive Reports
Understanding NetLive Reports
NetLive gives you a bird’s eye view of your enterprise-wide network so you can see which issues need attention and what area of the business they are affecting. Observer Reporting Server allows you to navigate to the problem for immediate troubleshooting.
NetLive reports are similar to Business Group reports except that each is a scrolling, previous-hour scope report of trending data that is updated every 20 seconds. Therefore, unlike a trending report, NetLive only sees the past one hour and the report is always scrolling. If you need to see something older than one hour, you must use a trending report.
NetLive reports provide high-level visibility in near real-time for anyone in your organization, making it ideal for monitoring global applications or protocols at a high level. A person does not need ORS installed on their local system. So long as they have a user account in ORS, they can view a NetLive report through a web browser using their user account in ORS.
If you want NetLive reporting data, you must enable it in Observer for each probe instance in Trending/Analysis > Network Trending.
Observer Reporting Server has several default NetLive reports for things like:

Application performance

Server performance

Network errors

Network utilization

Summary reports

“Last hour” reports

VoIP statistics

Protocol statistics


Understanding scheduled reports

ORS Reports > Understanding reports > Understanding scheduled reports
Understanding scheduled reports
A scheduled report is a report that is sent out by e-mail at a specified time or uploaded to the reports folder where it can be viewed (or both).
Scheduled reports are static, which means they do not change even if the underlying data changes. They are a snapshot in time. Using the ORS web interface, you can also find the data, but having ORS do so automatically is a convenient way to get specific information without having to search for it.
To view scheduled reports, you must view them on the http://ORShost/ORS web page or as part of the e-mail message that is sent to you or access them in the following locations on the ORS system. A copy is kept in a directory for each user scheduled to receive the report.
*
C:\Program Files\ObserverReportingServer\WebExt\RsReports\Temp\
*
C:\Program Files\ObserverReportingServer\WebExt\RsReports\username\
Using the Schedules tab allows you to control two things: when data is transferred from Observer to ORS and whether ORS creates a report and publishes it. You can choose to have ORS send an e-mail informing you that the report is available.
You control how frequently ORS requests data from Observer, at what time, and how the data should be stored for reporting.


Understanding log reports

ORS Reports > Understanding reports > Understanding log reports
Understanding log reports
Log reports are useful for overseeing the event logs of one or more Network Instruments applications.
Unlike most report types, log reports provide meta data. For example, instead of reporting the details of a network event, log reports will report its discovery, including the address of affected probes and devices.
ORS has several default log reports for things like:
*
Device groups
*
Alarmed devices
*
Events from other Network Instruments applications


Tutorial: How to report link utilization by subnet

ORS Reports > Tutorial: How to report link utilization by subnet
Tutorial: How to report link utilization by subnet
Sometimes, the user experience is vastly different depending on where you look—such as other departments in your business or institution. For example, some departments may use far more of their available bandwidth than other departments due to the nature of their work. In such cases, you may find it valuable to have an ORS report reflect these trends. The information you gather can be useful for planning future upgrades for departments that need it most, or may save cost by knowing a department does not need an upgraded link.
This tutorial guides you in creating a basic grid element. The grid you create is designed to show link utilization across three subnets, and each subnet (in this exaggerated network) is dedicated to a mock department with its own network link. Remember, this tutorial teaches concepts only; what you create may not apply to your institution, but the concepts are universal. Before you begin the tutorial, consider viewing the finished grid element in the following figure.
Tip! For this tutorial, you can edit your previous report (created in How to create a report), or any other report; this tutorial does not help you create a new one.
Start the tutorial by ensuring Observer Reporting Server is running and a report is opened for editing. Then, complete the following steps:
1.
Click the Layout tab in the Report Setup window.
2.
Click the last report element in the report. This ensures the next element you add is placed beside it.
3.
Click Add Item; select Grid; and click OK. The Grid Setup window appears.
4.
Type Department Traffic in the Grid element title box.
5.
Click Add Field.
6.
In the Data Source Selection area, configure your data source to match the following parameters:
*
Trending Source: Internet Patrol
*
Sub-Source: IP Stations
7.
In the Available Columns area under Utilization, select these columns:
*
Utilization Rx
*
Utilization Tx
*
Utilization Rx+Tx
You must repeat step 5 through step 7 twice to add all of the columns in step 7.
8.
Now modify the newly added columns. In the Grid Element Layout area, make these changes:
a.
Select Utilization Rx, and change the “Show Status as” setting to “Status Gauge and Value.”
b.
Select Utilization Tx, and change the “Show Status as” setting to “Status Gauge and Value.”
c.
Select Utilization Rx+Tx, and change the “Show Status as” setting to “Status Dial.”


Creating the Sales grid row filter

ORS Reports > Tutorial: How to report link utilization by subnet > Creating the Sales grid row filter
Creating the Sales grid row filter
You successfully created the grid fields, but now you must add grid row filters. Continuing in the Grid Setup window:
1.
Select the Grid Row Filters tab.
2.
Click the Add Grid Row Filter button. The Report Filters window appears.
3.
Type Sales for the row name.
4.
Select IP Address, and click Add Filter. The Report Filter: IP or IPv6 Address dialog appears.
5.
Change the Range to Address Range.
6.
In the First box, type 10.0.36.0. This IP address and the following encompass the subnet of the Sales department.
7.
In the Second box, type 10.0.36.255 and click OK.
8.
Click OK to confirm your changes. The filter is applied, and you return to the Grid Element Row Setup window.
9.
Ensure the Sales grid row is selected, and click the Select button beside “Speed (bits/sec).”
10.
Type 1073741824 in the Speed box, and click OK. This sets the link speed of the Sales subnet to 1,073,741,824 bits per second—one gigabit. This value does not account for overhead, but the concept is valid.


Creating the Marketing grid row filter

ORS Reports > Tutorial: How to report link utilization by subnet > Creating the Marketing grid row filter
Creating the Marketing grid row filter
You successfully created the first grid row filter. Next create the second grid row filter of the grid. Continuing in the Grid Element Row Setup window:
1.
Click the Add Grid Row Filter button. The Report Filters window appears.
2.
Type Marketing for the row name.
3.
Select IP Address, and click Add Filter. The Report Filter: IP or IPv6 Address dialog appears.
4.
Change the Range to Address Range.
5.
In the First box, type 10.0.32.0. This IP address and the following encompass the subnet of the Marketing department.
6.
In the Second box, type 10.0.32.255 and click OK.
7.
Click OK to confirm your changes. The filter is applied, and you return to the Grid Element Row Setup window.
8.
Ensure the Sales grid row is selected, and click the Select button beside “Speed (bits/sec).”
9.
Type 1073741824 in the Speed box, and click OK. This sets the link speed of the Sales subnet to 1,073,741,824 bits per second—one gigabit. This value does not account for overhead, but the concept is valid.


Creating the Production grid row filter

ORS Reports > Tutorial: How to report link utilization by subnet > Creating the Production grid row filter
Creating the Production grid row filter
You successfully created the second grid row filter. Next create the third and final grid row filter. Continuing in the Grid Element Row Setup window:
1.
Click the Add Grid Row Filter button. The Report Filters window appears.
2.
Type Production for the row name.
3.
Select IP Address, and click Add Filter. The Report Filter: IP or IPv6 Address dialog appears.
4.
Change the Range to Address Range.
5.
In the First box, type 10.0.40.0. This IP address and the following encompass the subnet of the Production department.
6.
In the Second box, type 10.0.40.255 and click OK.
7.
Click OK to confirm your changes. The filter is applied, and you return to the Grid Element Row Setup window.
8.
Ensure the Sales grid row is selected, and click the Select button beside “Speed (bits/sec).”
9.
Type 1073741824 in the Speed box, and click OK. This sets the link speed of the Sales subnet to 1,073,741,824 bits per second—one gigabit. This value does not account for overhead, but the concept is valid.


Configuring the grid’s display options

ORS Reports > Tutorial: How to report link utilization by subnet > Configuring the grid’s display options
Configuring the grid’s display options
You successfully created the third and final grid row filter. Next configure the options that change how the grid is going to appear. Continuing in the Grid Setup window:
1.
Save the entire Department Traffic grid by clicking OK in the Grid Element Row Setup window. You return to the Report Setup window.
2.
Ensure the Department Traffic grid is selected.
3.
Enable the “Two Row Headers” option in the Grid Options area.
4.
Click OK to save your report.
5.
You successfully finished the tutorial. View your report by choosing File > Start Report in Web Browser.
You now have a grid element showing link utilization by subnet. In the tutorial, you created mock departments. Each department in the simulated network had a one-gigabit link and its own subnet, so you created a grid to contain them. You then created grid rows and applied filters to specify each department’s name, subnet, and link speed. The end result is a report element (in this case, a grid) that visually represents link utilization for each subnet.


Tutorial: How to measure the end-user experience

ORS Reports > Tutorial: How to measure the end-user experience
Tutorial: How to measure the end-user experience
A quality end-user experience is perhaps the most important benchmark of a healthy network. Any error, extra latency, or downtime degrades an otherwise positive experience for users. Fortunately, Observer Reporting Server reports can help you visualize these degradations so you can maintain a quality user experience.
This tutorial guides you through creating a report that measures the end-user experience. Because end-user experience can be affected by hundreds of factors, the report you are creating is not comprehensive. Instead, the tutorial provides you an understanding of how to create your own user-experience report using this as a foundation. Before you begin the tutorial, consider viewing the finished report and its individual components in Figure 1 and its accompanying table.
Figure 6. Finished Example Report
Number
Report Element
Description
1
Graph
Client Top 10 RTT (ms)—shows the top ten, worst average round-trip times (in milliseconds) and the client machines associated with them. This graph helps you see if certain clients are experiencing Observer a degraded user experience, which may warrant additional investigation or troubleshooting. See #id122DA0VA0XW/id1265F08H0GA.
2
Graph
Server Top 10 RTT (ms)—shows the top ten, worst average round-trip times (in milliseconds) and the servers associated with them. This graph helps you see if certain servers are contributing to a degraded user experience, which may warrant additional investigation or troubleshooting. See #id122DA100WJX/id1265F09B0PV.
3
Table
Top 10 Client/Server TCP RTT (ms)—shows the top ten, worst average round-trip times (in milliseconds) and the clients or servers associated with them. This table helps you see if more servers than clients are contributing to a degraded user experience or vice-versa. Each may warrant additional investigation or troubleshooting. You can also click the “drill down” column of this table to see a sub-report of the target server or client. See #id122DA30L0QG/id1265F0A08PT.
4
Grid
Web—shows the average round-trip time (in milliseconds) to servers belonging to Salesforce.com. A poor, average round-trip time signifies an issue with reaching Salesforce servers adequately, resulting in a degraded user experience. In this tutorial, Salesforce is a mock presentation tier of a multi-tier architecture; it is only selected to aid you in completing the tutorial, and may not represent a real scenario. See #id122DC0S20JW/id1265F0A0W24.
5
Grid
Stations—shows the average response time (in milliseconds) for all MSRPC host-side traffic on a local subnet. A poor, average response time may signify a problem with Windows stations’ ability to communicate or access Windows services. This potentially degrades the user experience and should be investigated. In this tutorial, MSRPC is a mock logic tier of a multi-tier architecture; it is only selected to aid you in completing the tutorial, and may not represent a real scenario.See #id122DC0VF0VJ/id1265F0B0YMY.
6
Grid
Database—shows the average response (in milliseconds) to a specific MySQL database server on the local subnet. Because the MySQL server is located in the local subnet, a poor, average round-trip time may signify a problem with hardware or configuration. This potentially degrades the user experience and should be investigated. In this tutorial, MySQL is a mock logic tier of a multi-tier architecture; it is only selected to aid you in completing the tutorial, and may not represent a real scenario. See #id122DC0WD0ZV/id1265F0C0BCH.
Note: This tutorial only teaches you the concepts of report creation. After you master the concepts, you can create reports that better suit your needs.
Before creating items like graphs and tables, you must create a new report. Reports simply store the report elements that give your report its content. Report elements are graphs, tables, and the like. Create your new report by completing the following steps:
1.
Choose Reports > Business Group Reports.
2.
Click the New button. The Report Setup window appears.
3.
Ensure the General Options tab is selected, and type User Experience in the Report Name box.
4.
(Optional) In the Report Description box, type Report shows top 10 highest client/server RTT, plus multi-tier application response times.


Creating the client graph

ORS Reports > Tutorial: How to measure the end-user experience > Creating the client graph
Creating the client graph
You created a new report and provided it a descriptive name. The report is ready to have a graph added. Add your first graph by completing the following steps:
1.
Click the Layout tab in the Report Setup window.
2.
Click Add Item; select Graph; and click OK. The Graph Setup window appears.
3.
Type Client Top 10 RTT (ms) in the Graph Title box.
4.
In the Data Source Selection area, configure your data source to match the following parameters:
*
Trending Source: Application Performance Analysis
*
Sub-Source: Server/Client Application Performance Statistics
*
Report Type: Clients Using Application Type
*
Graph Type: Bars - 3D
5.
In the Available Columns area, double-click General Statistics to expand the list.
6.
Select “Response Time Client Average (ms)” to add the column.
7.
Click OK to confirm your changes. You return to the Report Setup window.
8.
In the Graph Options area, change Max Items to 10 and Minimum Graph Height to 230. Your report should appear similar to Figure 2.
Figure 7. Client Graph is Complete


Creating the server graph

ORS Reports > Tutorial: How to measure the end-user experience > Creating the server graph
Creating the server graph
The first graph is complete. Now create a similar graph, for servers, using Observer Reporting Server’s copy and paste function and modifying the copy.
1.
Right-click the Client Top 10 RTT (ms) graph and click Copy.
2.
Right-click the Client Top 10 RTT (ms) graph, and click Paste. The Graph Setup window appears, allowing you to modify the copied graph.
3.
Type Server Top 10 RTT (ms) in the Graph Title box.
4.
In the Data Source Selection area, configure your data source to match the following parameters:
*
Trending Source: Application Performance Analysis
*
Sub-Source: Server Application Performance Statistics
*
Report Type: Applications with Associated Servers
*
Graph Type: Bars - 3D
5.
In the Graph Layout area, select “Response Time Client Average (ms)” and click the Remove button. This removes the column copied from the first graph.
6.
In the Available Columns area under General Statistics, select “Response Time Server Average (ms)” to add the column.
7.
Click Set as Sort Column. and click OK to confirm your changes. You return to the Report Setup window, which now appears similar toFigure 3.
Figure 8. Server Graph is Complete


Creating the client/server table

ORS Reports > Tutorial: How to measure the end-user experience > Creating the client/server table
Creating the client/server table
You created your second graph. You have two graphs representing round-trip time: one for clients and another for servers. Now create a table blending both client and server round-trip times. Starting in the Layout tab of the Report Setup window:
1.
Click Add Item; select Table; and click OK. The Table Column Setup window appears.
2.
Type Top 10 Client/Server TCP RTT (ms) in the Table Title box.
3.
In the Data Source Selection area, configure your data source to match the following parameters:
*
Trending Source: Application Performance Analysis
*
Sub-Source: Server/Client Application Performance Statistics
*
Report Type: Applications with Associated Server Connections
4.
In the Available Columns area:
a.
Under General Statistics, select these columns:
Response Time Client Average (ms)
Response Time Server Average (ms)
b.
Under Client Statistics, select “Bytes Client.”
c.
Under Server Statistics, select “Bytes Server.”
d.
Under General Statistics, select “Bytes Total.”
5.
Click OK to confirm your changes. You return to the Report Setup window.
6.
Ensure the Top 10 Client/Server TCP RTT (ms) table is still selected, and click the Down Arrow button once to move the table below the graphs. Your report now appears similar to Figure 4.
Figure 9. Client/Server Table is Complete
7.
You successfully created a table showing the top ten client/server round-trip times. Now perform a sub-report association to give the table a clickable “drill down” effect. Sub-report association is the process of creating context-sensitive links between two or more reports. Starting in the Layout tab of the Report Setup window:
8.
Ensure the Top 10 Client/Server TCP RTT (ms) table is selected.
9.
In the Report Drill Down area, click Select near the ORS drill down report box. The Select Drill Down Reports window appears.
10.
Choose Application Performance Analysis from the “Only show reports which use trending source” list. Doing so narrows your choices to a manageable number.
11.
From the list, double-click Server-Client Application Performance. The report is now added as a sub-report, but it must be modified (in the following steps) to work correctly.
12.
In the Selected Reports for Drill Down area, click your newly created “Server-Client Application Performance” sub-report. The new sub-report must be selected for the next step to work.
13.
In the Drill Down Elements area, click and drag the “Application Name” drill down element to its matching source element in the Source Elements area and release. Repeat this for “Either IP Address.” See an example of this operation in Figure 5.
Figure 5 is for visual reference only; it does not reflect your progression in the tutorial.
Figure 10. Example of Sub-Report Association
14.
Click OK to confirm your changes. You return to the Report Setup window.
You can perform the same sub-report association on the graphs created earlier. Doing so allows your report’s viewers to click the bars in the graph(s) and be brought to a context-sensitive sub-report.


Creating the Web grid

ORS Reports > Tutorial: How to measure the end-user experience > Creating the Web grid
Creating the Web grid
The first part of your report is finished. You created two graphs representing round-trip time, one for clients and another for servers, plus a table blending the two. The table is clickable in the final report, allowing you and other users to see more details.
CAUTION! Your report is only saved after clicking OK in the Report Setup window. While not required, if you want to save your progress before continuing this tutorial, do so now.
The second part of your report involves using Observer Reporting Server to monitor a multi-tier architecture. A multi-tier architecture is commonly seen with three tiers: presentation, logic, and data. Each tier can experience its own problems, and each problem contributes to a degraded user experience. For more information about multi-tier architectures, see Figure 6.
Figure 11. Understanding Multi-Tier Architecture
In this tutorial, Salesforce.com represents a presentation tier; MSRPC traffic (across the local subnet) represents a logic tier; and a MySQL database server (on the local subnet) represents a data tier. These are only conceptual examples for this tutorial.
Create the first grid for the multi-tier architecture by completing the following steps. Reopen the User Experience report if you saved/closed it. Starting in the Layout tab of the Report Setup window:
1.
Select the Top 10 Client/Server TCP RTT (ms) table. This ensures the next item you add is positioned directly to the right.
2.
Click Add Item; select Grid; and click OK.
3.
Type Web in the Grid Element Title box.
4.
Click Add Field.
5.
In the Data Source Selection area, configure your data source to match the following parameters:
*
Trending Source: Application Performance Analysis
*
Sub-Source: Server/Client Application Performance Statistics
6.
In the Available Columns area, select “Response Time Server Average (ms).”
7.
Click OK.
8.
Select the Grid Row Filters tab.
9.
Click Add Grid Row Filter.
10.
Type HTTP for the row name.
11.
Select Application Name, and click Add Filter. The Select Application dialog appears.
12.
Select HTTP from the list, and click OK.
13.
Select Server IP Address, and click Add Filter.
14.
Change the Range to Address Range.
15.
In the First box, type 204.14.232.1. This IP address and the following encompass the range registered to Salesforce.
16.
In the Second box, type 204.14.239.255 and click OK.
17.
Click OK to confirm your changes. The filter is applied, and you return to the Grid Element Row Setup window.
18.
Select the Field Elements tab.
19.
Change the “Show Status as” setting to “Status Icon and Value.”
20.
Click OK to confirm your changes. The grid is successfully added to your report, and you return to the Report Setup window.
21.
Ensure the Web grid is still selected, and click the Down Arrow button once to move the grid below the table. Your report now appears similar to Figure 7.
Figure 12. Web Grid Complete


Creating the Stations grid

ORS Reports > Tutorial: How to measure the end-user experience > Creating the Stations grid
Creating the Stations grid
The first grid is complete. Now create a similar grid, for the logic tier, using Observer Reporting Server’s copy and paste function and modifying the copy.
1.
Right-click the Web grid and select Copy.
2.
Right-click and select Paste.
3.
In the Grid Element Title box, type Stations.
4.
Select the Grid Row Filters tab.
5.
Select the HTTP grid row, and click Edit Grid Row Filter.
6.
Type MSRPC for the Row Name.
7.
Select Application Name, and click Edit Filter.
8.
Select MSRPC from the list, and click OK
9.
Select Server IP Address, and click Edit Filter.
10.
In the First box, type 10.10.0.193. This is the first address of the example local subnet. You can change this address, and the following, to your own if desirable.
11.
In the Second box, type 10.10.0.254 and click OK.
12.
Click OK, and click OK again to confirm your changes. The grid is successfully added to your report, and you return to the Report Setup window. Your report now appears similar to Figure 8.
Figure 13. Stations Grid Complete


Creating the Database grid

ORS Reports > Tutorial: How to measure the end-user experience > Creating the Database grid
Creating the Database grid
The second grid is complete. Now create a similar grid, for the data tier, using Observer Reporting Server’s copy and paste function and modifying the copy.
1.
Right-click the Stations grid and select Paste. The Grid Setup window appears, allowing you to modify the copied grid.
2.
In the Grid Element Title box, type Database.
3.
Select the Grid Row Filters tab.
4.
Select the HTTP grid row, and click Edit Grid Row Filter.
5.
Type MySQL for the Row Name.
6.
Select Application Name, and click Edit Filter.
7.
Select MySQL from the list, and click OK.
8.
Select Server IP Address, and click Edit Filter.
9.
Change the Range to Single Address.
10.
In the Address box, type 10.10.0.209, and click OK. This IP address is the example MySQL server on the example local subnet.
11.
Click OK, and click OK again to confirm your changes. The grid is successfully added to your report, and you return to the Report Setup window. Your report now appears similar to Figure 9.
Figure 14. Database Grid Complete
12.
Click OK to save your report.
13.
You successfully finished the tutorial. View your report by choosing File > Start Report in Web Browser.
You now have a complete report. The report consists of two graphs showing worst round-trip times, one for clients and one for servers., a table showing a blend of both (which includes a sub-report), and three grids representing a multi-tier architecture.


Schedules

Schedules
Schedules
How to create a scheduled report
A scheduled report is a report that is sent out by e-mail at a specified time or uploaded to the reports folder where it can be viewed (or both).
Creating a report is a straightforward process with a wizard to guide you through the process. Before you begin though you should have users defined on the Security tab. It is not required though. You can edit the report later to add the users who will receive the report. Limiting access to reports
Tip! If you want to create another version of an existing report, select it and choose Copy. A new report is created with the same name followed by a number 1, 2, etc. Then modify the report as needed.
To create a scheduled report, follow these steps:
1.
Choose the Schedules tab, then click the Schedule Reports tab.
2.
Click the New button to create a static report. The Schedule window appears.
3.
Give the report a name and a description. The name itself should be descriptive.
4.
Choose to which business group the report belongs. A report can only belong with one business group. If you want the same report for each business group, you must create another report. To save time, make one report and then copy it.
5.
Choose the time range for the report. The report is static and will only show the time range you choose.
6.
Choose the report from the list you want to use. To learn more about the reports, see the Reports tab. Each report there has a description.
7.
Choose what format you want for your report and click the Next button.
8.
Click Add to define when you want the report delivered. Click Next.
9.
Select how you want the report delivered. Click Next.
10.
Select which users will receive the report and click Finish. Users are created on the Securitytab.


How to edit scheduled reports

Schedules > How to edit scheduled reports
How to edit scheduled reports
After creating a scheduled report, you may need to periodically edit it to meet your needs.
To edit a scheduled report:
1.
Click the Schedules tab, then click the Schedule Reports tab.
2.
Select the report you want to edit, and click Edit.
3.
Change any details you want from the Report, Report Times, Delivery, or Recipients tabs.


How to create a baseline report

Schedules > How to create a baseline report
How to create a baseline report
It is hard to assess whether application performance is acceptable unless you constantly monitor past performance and can define expected performance. Observer automates this process and you can understand at a glance whether current application and network performance is acceptable.
Baselines are different than thresholds. Baselines use historical data that does not change. Thresholds, however, determine if that baseline (the historical data) is above, below, or within acceptable levels. Baselines recognize and react to thresholds, but are not the result of those thresholds.
Because baselining is a comparison between past and present data, only time-based reports can include a baseline.
With baselining, Observer automatically establishes performance baselines for any performance or volume metrics. Based on history, Observer calculates the baseline defining normal performance as well as deviations indicating degraded and unacceptable performance. Baselining gives you the flexibility to compare performance by time of day, day of week, or day of month, depending upon the amount of retained data.
Note: To set the baseline thresholds, choose Options > Program Settings and click Configure Default Thresholds. See Configuring your program settings for details.
1.
Click the Schedules tab, then click the Baselining tab.
2.
Click the Edit button. The Baseline Setting window appears.
3.
Select a comparison time.


How to schedule data transfer

Schedules > How to schedule data transfer
How to schedule data transfer
By default ORS requests trending data from Observer every hour to update its reports and every 20 seconds for NetLive reports. You can choose to change the schedule or leave it as is. You cannot change how frequently NetLive data is requested. It is either on or off.
Note: Use care before choosing to use the Reset Last Transferred Time button. This option tells ORS to forget when it last received updated data from Observer. The next time ORS requests trending data from Observer, Observer will send all trending data requested by ORS. This can be a significant amount of data and is defined on Schedules > Data Transfer > Data Transfer Settings (choose the Edit button to make changes if necessary).
1.
Click the Schedules tab, then click the Data Transfer tab.
2.
Make any changes to the schedule by clicking the Edit button. These settings affect how much data is transferred and when it is transferred.
3.
The Data Transfer Setting section shows what trending information is enabled. By default everything is enabled. To disable something, choose theEdit button.
4.
Choose a data storage option. Choosing to store data in chunks of 10 minutes provides more granularity in the reports, but is more network and system intensive. Choosing a larger amount of time is less granular you will not be able to show reports with more detail than the time selected, which may be acceptable for your needs. Choose a setting that best fits your reporting needs while not being a burden on your network and system.
Option
Description
Frequency
Defines how often ORS requests trending data from Observer. This can be in 10, 15, 20, or 30 minute intervals, or hourly, daily, or weekly. Regardless of how frequently you have ORS get data, it always queries for any new data up to the number days set by the Data Transfer Limit. Only new data is retrieved.
When
Defines when the data is transferred. A 24 hour clock is used, so to have data transferred at 5:00 PM, you must choose 17:00.
Data Transfer Limit
Specifies how far back ORS should request data from Observer. Any new data that meets this criteria is sent to ORS.
Tip! If you want to limit the data in reports to just typical business hours (Monday through Friday, 8:00-18:00), then you can do this in one of two ways. On the ORSweb page, change the reporting time to match that of your needs. Or in Observer change the network trending to only capture during the time frame that you want. This method reduces the amount of data collected and transferred, but you will not have any data nor reports outside of that time frame.
The Data Storage controls how much data ORS requests from Observer when filling gaps in its local copy of trending data. When ORS first connects to an analyzer that has been running Network Trending, it requests all available trending data up to this limit. This option also comes into play when there has been a disruption in ORS’s access to an Observer’s trending data.
What this means is that ORS knows when the last data it received is from. ORS requests any new data from Observer that is newer than what ORS has. This could be a small amount of trending data or a significant amount if you are just setting up ORS and have been running network trending in Observer for a long time.
If ORS has been requesting data regularly, the transfers happen quickly.


Security

Security
Security
How to create a user
To control user permissions such as viewing of reports, user accounts must first be created.
A user account is used by ORS to get its data from a data source. This can be the same user account or a different account for each data source. Ultimately, the user must exist within Observer (or Observer Infrastructure) on the remote system.
To create a user:
Note: By default there is an Administrator account. The Administrator account does not have a password. You should assign the account a password.
1.
Click the Security tab.
2.
Click the New or Edit User Permissions button.
3.
Provide a user name. The user name cannot contain a space or any of these characters: \?/:*”<>|+&;@=$,#%’{}[]‘
4.
Type the user’s e-mail address. Any reports sent by e-mail are sent to this address.
5.
Have the user enter and confirm their password. The password limit is 16 characters.
6.
In the description field, type the user’s real name, if desired.
7.
Select which access permissions the user should have. The access permissions has two sections. The top portion is security for the local Observer and the bottom portion is for ORS.
Figure 15. User Account


Limiting access to reports

Security > How to create a user > Limiting access to reports
Limiting access to reports
Since Observer Reporting Server provides a wealth of intelligence, you may want to limit access to some or all of its reports.
To protect network data statistics, ORS requires secure authentication that is manageable via the ORS interface. It may be important to implement user-based or role-based permissions to protect your intellectual property.
For example, ensure your manager is able to view and even modify reports as needed for planning tasks, but restrict the ability to view underlying data for outside consultants. The Observer Reporting Server can also limit report availability by department or silo. For example, ensure VoIP call quality reports are shared with the communications and IT teams, but limit access to WAN usage reports to only the infrastructure department.
See step 7 in How to create a user for how to prohibit access to reports for users. When a user logs in to the ORS web page, they will only see reports to which they have access.


Understanding security in ORS

Security > How to create a user > Understanding security in ORS
Understanding security in ORS
Observer Reporting Server has its own security that controls access to what reports a user can view on the ORS web page. It does not control what features can be used within ORS itself.
Observer Reporting Server implements its security based on user rights. Each user must have his rights configured. By default, a user can see all reports.
If Observer is installed on the same system as ORS, then the two products share the same security configuration, however, ORS cannot share security withObserver on a remote system.
Figure 16. Security tab


Integrating NIMS with ORS

Security > Integrating NIMS with ORS
Integrating NIMS with ORS
You can strengthen the security of Observer Reporting Server by integrating with Network Instruments Management Server (NIMS). This also allows for tighter control of products licenses.
Note: If you enable NIMS integration in Observer Reporting Server, the Observer/GigaStor probes, analyzers, and Observer Infrastructure instances you use for Observer Reporting Server data sources must also be managed by NIMS and have the same key.
To use these features in Observer Reporting Server, choose Options > Program Settings > Security tab. Table 1 shows the options used to configure security and NIMS.
Table 4. ORS security options
Option
Description
Observer Reporting Server network name
Your Observer Reporting Server product provides a random name for itself. This allows ORS to self-identify when communicating with other Network Instruments products. The name itself is arbitrary, so if necessary you can change it to anything you want. For example, “Third Floor ORS Appliance.”
Use Observer Encryption Key file for secure connections
Strong encryption is available for Observer Reporting Server. Observer Encryption Key (.OEK) files let you use private encryption keys to ensure that unauthorized persons do not have access to the data flowing between Observer Reporting Server and its configured data sources.
If you have not already created a private key for Observer, use the Observer Encryption Key Utility (located in C:\Program Files\Observer\ObsEncryptUtil.exe) to generate secure keys. If you have, copy that key and paste it into the installation directory (usuallyC:\Program Files\ObserverReportingServer) and to the installation directory of each Observer analyzer. To generate a key file, use the Encryption Key Utility (which is located in the Observer program group from the Windows Start Menu).
Authenticate users
This forces Observer to use NIMS to authenticate users rather than Observer’s local user list. A user list is maintained in NIMS. When this option is enabled, the Security tab is removed from the user interface and all users are maintained in NIMS.
Manage ORS licenses with NIMS
An Observer Reporting Server license can be stored and managed locally, or it can be managed centrally by NIMS. If this option is cleared, it is managed locally and you must provide a license for each installation. If selected, you can provide a pool of licenses in NIMS and Observer Reporting Server will take an available license when the application or service starts.
Primary/Secondary server
Provide the IP address of the primary NIMS server. If you are also using a failover NIMS server, type its IP address in the Secondary server box.


ORS Technical Specifications

ORS Technical Specifications
ORS Technical Specifications
Technical specifications
The following tables provide the system specifications and LED/button functionality.
Table 5. System specifications
LED/Button
Description
Platform
2U 19-in. rack-mountable probe appliance
RAM1
8 GB
Processor1
Single - Quad core
Operating system
Windows 2008 Server x64
Dimensions
Standard: 16.75 in. (W) x 3.5 in. (H) x 25.88 in. Full probe depth with handles: 26.75 in.
Metric: 42.5 cm (W) x 8.9 cm (H) x 65.7 cm Full probe depth with handles: 67.9 cm
Power consumption
1 link (2 port) Copper
0.16 A in 'off' state Power consumption =20W
5 A Max at startup Power consumption <=580W
3.8 A at full load Power consumption <=345W
1
Minimum RAM and CPU required if installing ORS in your own system.

Table 6. LED/Button functionality
LED/Button
Description
System Activity
This LED blinks whenever there is activity on the main drive. This drive is where the operating system is installed.
LAN 1
Not used.
LAN 2
Not used.
Power LED
This LED is lit whenever the unit and motherboard are powered on and running.
System Reset
When pushed, the system resets.
Power
Press to turn on the GigaStor. If you press and hold this button for a few seconds, the unit will do a hard shut down.
Individual Drive Activity
These LEDs blink whenever there is activity on the drive in the RAID array. The lights are red when there is a problem with the drive, otherwise they are green.
Drives are numbered 1-4 starting from the left.
Table 7. Regulatory certifications
Regulatory Board
Certification
FCC
FCC Part 15 Class A
CE Mark
EN61000-3-2, EN55024, EN55022A
FCC Compliance Statement
This equipment has been tested and found to comply with the limits for a Class A digital device, pursuant to part 15 of the FCC rules. These limits are designed to provide reasonable protection against harmful interference when the equipment is operated in a commercial environment. This equipment generates, uses, and can radiate radio frequency energy and, if not installed and used in accordance with the instruction manual, may cause harmful interference to radio communications. Operation of this equipment in a residential area is likely to cause harmful interference in which case the user will be required to correct the interference at his own expense.


Recent documentation changes

Recent documentation changes
Recent documentation changes
Recent documentation changes
In addition to fixing typographical and grammar errors, these changes were also made to the documentation:
April 19, 2013 Observer Reporting Server
*
Added web browser requirements and a note about the browser must accept cookies in How to view reports from a browser.
*
Added a description of super groups to Understanding the role of business groups.
February 12, 2013 Observer Reporting Server
*
Added new options and descriptions in How to add search elements.
*
Added details about the new multi-source graph element.
*
Added information for hiding empty report elements. See How to create a report.
September, 2012 Observer Reporting Server
*
Added instructions for Observer Reporting Server Redundancy. See Configuring a failover or redundant ORS.
August, 2012 Observer Reporting Server
*
Added instructions for creating custom reports from the ORS web interface. See Creating reports from your web browser.
*
Updated instructions for using a Grid report element. The workflow has changed in the new version. See How to add grid elements.
*
Added high-level workflow instructions for mapping application dependencies. See Visualizing the components of multi-tier applications.
*
Added instructions for adding the new report element type: Application Dependency Discovery Diagram. See How to add application dependency elements.
*
Added conceptual information for the Application Dependency Discovery Diagram report element. See Understanding application dependency elements.


Recent product changes

Recent product changes
Recent product changes
What's new or changed Observer Reporting Server version 16.1
*
Added new data streams from Application Transaction Analysis (Observer/GigaStor) to bring into reports: Diameter and RADIUS secure access protocols.
*
Added a new report element: multi-source graph, which allows performance correlation across disparate sources. See Understanding multi-source graph elements.
*
Added enhancements to Search elements. See How to add search elements.
What's new or changed in Observer Reporting Server version 16
*
Added native 64-bit support. The installation wizard automatically chooses a 32-bit or 64-bit install based on system compatibility.
*
Added full IPv6 support.
*
Added ability to visually map the travel of application traffic between servers and clients. See “Visualizing the components of multi-tier applications”.
*
Ability to create custom user reports from the web interface. See Creating reports from your web browser.


End User License Agreement

End User License Agreement
End User License Agreement
PLEASE READ THIS SOFTWARE LICENSE AGREEMENT CAREFULLY BEFORE DOWNLOADING OR USING THE SOFTWARE.
BY CLICKING ON THE “ACCEPT” BUTTON, OPENING THE PACKAGE, DOWNLOADING THE PRODUCT, OR USING THE EQUIPMENT THAT CONTAINS THIS PRODUCT, YOU ARE CONSENTING TO BE BOUND BY THIS AGREEMENT. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS AGREEMENT, CLICK THE “DO NOT ACCEPT” BUTTON AND THE INSTALLATION PROCESS WILL NOT CONTINUE, RETURN THE PRODUCT TO THE PLACE OF PURCHASE FOR A FULL REFUND, OR DO NOT DOWNLOAD THE PRODUCT.
The SOFTWARE is neither shareware nor freeware. The SOFTWARE is a commercial software package that is subject to international copyright laws.
Single User License Grant: Network Instruments, LLC (“DEVELOPER”) and its suppliers grant to END-USER a nonexclusive and nontransferable license to use the DEVELOPER software (“SOFTWARE”) in object code form solely on a single central processing unit owned or leased by END-USER or otherwise embedded in equipment provided by DEVELOPER.
Multiple-Users License Grant: DEVELOPER and its suppliers grant to END-USER a nonexclusive and nontransferable license to use the DEVELOPER SOFTWARE in object code form: (i) installed in a single location on a hard disk or other storage device of up to the number of computers owned or leased by END-USER for which END-USER has paid individual license fees purchased; or (ii) provided the SOFTWARE is configured for network use, installed on a single file server for use on a single local area network for either (but not both) of the following purposes: (a) permanent installation onto a hard disk or other storage device of up to the number of individual license fees purchased; or (b) use of the SOFTWARE over such network, provided the number of computers connected to the server does not exceed the individual license fees purchased. END-USER may only use the programs contained in the SOFTWARE (i) for which END-USER has paid a license fee (or in the case of an evaluation copy, those programs END-USER is authorized to evaluate) and (ii) for which END-USER has received a product authorization keys (“PAK”). END-USER grants to DEVELOPER or its independent accountants the right to examine its books, records and accounts during END-USER's normal business hours to verify compliance with the above provisions. In the event such audit discloses that the Permitted Number of Computers is exceeded, END-USER shall promptly pay to DEVELOPER the appropriate licensee fee for the additional computers or users. At DEVELOPER's option, DEVELOPER may terminate this license for failure to pay the required license fee.
END-USER may make one (1) archival copy of the SOFTWARE provided END-USER affixes to such copy all copyright, confidentiality, and proprietary notices that appear on the original.
EXCEPT AS EXPRESSLY AUTHORIZED ABOVE, END-USER SHALL NOT: COPY, IN WHOLE OR IN PART, SOFTWARE OR DOCUMENTATION; MODIFY THE SOFTWARE; REVERSE COMPILE OR REVERSE ASSEMBLE ALL OR ANY PORTION OF THE SOFTWARE; OR RENT, LEASE, DISTRIBUTE, SELL, OR CREATE DERIVATIVE WORKS OF THE SOFTWARE.
END-USER agrees that aspects of the licensed materials, including the specific design and structure of individual programs, constitute trade secrets and/or copyrighted material of DEVELOPER. END-USER agrees not to disclose, provide, or otherwise make available such trade secrets or copyrighted material in any form to any third party without the prior written consent of DEVELOPER. END-USER agrees to implement reasonable security measures to protect such trade secrets and copyrighted material. Title to SOFTWARE and documentation shall remain solely with DEVELOPER.
SOFTWARE, including technical data, is subject to U.S. export control laws, including the U.S. Export Administration Act and its associated regulations, and may be subject to export or import regulations in other countries. END-USER agrees to comply strictly with all such regulations and acknowledges that it has the responsibility to obtain licenses to export, re-export, or import SOFTWARE.
This License shall be governed by and construed in accordance with the laws of the State of Minnesota, United States of America, as if performed wholly within the state and without giving effect to the principles of conflict of law. If any portion hereof is found to be void or unenforceable, the remaining provisions of this License shall remain in full force and effect. This License constitutes the entire License between the parties with respect to the use of the SOFTWARE.
Restricted Rights - DEVELOPER's software is provided to non-DOD agencies with RESTRICTED RIGHTS and its supporting documentation is provided with LIMITED RIGHTS. Use, duplication, or disclosure by the Government is subject to the restrictions as set forth in subparagraph “C” of the Commercial Computer SOFTWARE - Restricted Rights clause at FAR 52.227-19. In the event the sale is to a DOD agency, the government's rights in software, supporting documentation, and technical data are governed by the restrictions in the Technical Data Commercial Items clause at DFARS 252.227-7015 and DFARS 227.7202. Manufacturer is Network Instruments, 10701 Red Circle Drive, Minnetonka, MN 55343, USA.